dbus (1.10.0-1ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining changes:
    - Add upstart jobs; Upstart is still supported for the system init.
      + Add debian/dbus.upstart and dbus.user-session.upstart
    - Add debian/patches/dont-stop-dbus.patch: Don't stop D-Bus in the service
      unit (see patch header and upstream bug for details). Fixes various
      causes of shutdown hangs, particularly with remote file systems. (LP:
      #1438612)
    - aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 01 Sep 2015 17:35:32 +0100

dbus (1.10.0-1) experimental; urgency=medium

  [ Iain Lane ]
  * debian/dbus.postinst: Check if /run/dbus exists before writing to a file
    there. If it doesn't then the system bus isn't running so we don't have
    anything to restart anyway.

  [ Simon McVittie ]
  * New upstream stable release.
  * Continue to upload to experimental for now, to avoid the shlibs bump
    making the libstdc++ transition any worse than it already is.

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Aug 2015 17:12:46 +0100

dbus (1.9.20-1ubuntu2) wily; urgency=medium

  * debian/dbus.postinst: Check if /run/dbus exists before writing to a file
    there. If it doesn't then the system bus isn't running so we don't have
    anything to restart anyway.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 20 Aug 2015 11:09:58 +0100

dbus (1.9.20-1ubuntu1) wily; urgency=medium

  * Merge with Debian (LP: #1477086), remaining changes:
    - Add upstart jobs; Upstart is still supported for the system init.
      + Add debian/dbus.upstart and dbus.user-session.upstart
    - Add debian/patches/dont-stop-dbus.patch: Don't stop D-Bus in the service
      unit (see patch header and upstream bug for details). Fixes various
      causes of shutdown hangs, particularly with remote file systems. (LP:
      #1438612)
    - aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
  * Dropped changes:
    + 81-session.conf-timeout.patch; didn't ever do anything. (LP: #1479771)
    + 20_system_conf_limit.patch: Dropped. This was introduced due to problems
      with aptdaemon and large transactions. These problems seem to no longer
      exists, so we will try to run without an increased limit.
    + All other changes merged in Debian.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 19 Aug 2015 17:11:04 +0100

dbus (1.9.20-1) experimental; urgency=medium

  * New upstream release (release candidate for 1.10)
  * Add a tmpfiles.d snippet so that on systemd machines,
    /var/lib/dbus/machine-id is a symlink to /etc/machine-id if not
    otherwise created. This might help third-party software
    that relies on that path, in cloud/live images where
    /var/lib/dbus/machine-id is deleted during image preparation,
    while avoiding having to run dbus-uuidgen on boot (as done in
    non-systemd init systems and dbus/1.8.12-1ubuntu4).
  * dbus.postinst: don't try to reload bus setup/configuration if we
    are running an older version that will not understand the new
    arrangement (Closes: #793519)

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Aug 2015 20:37:35 +0100

dbus (1.9.18-1) experimental; urgency=medium

  * New upstream development release
  * debian/.gitignore: add
  * Adapt for bus setup in ${datadir}
    - deb: install both /etc/dbus-1/s*.conf and /usr/share/dbus-1/s*.conf
    - udeb: install /usr/share/dbus-1/session.conf only
    - configure the debug build to share /usr/share with the production build

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Jul 2015 20:22:25 +0100

dbus (1.8.20-1) unstable; urgency=medium

  * New upstream bugfix release
    - fix a memory leak when GetConnectionCredentials is called
    - stop dbus-monitor replying to org.freedesktop.DBus.Peer
      messages, including those that another process should have
      replied to

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Jul 2015 17:59:42 +0100

dbus (1.9.16-2) experimental; urgency=medium

  * libdbus-1-3 Breaks dbus versions that did not have a lockstep dependency
    on it, to allow dropping internal ABIs (Closes: #785378)
  * Drop now-unnecessary XS-Testsuite field from d/control

 -- Simon McVittie <smcv@debian.org>  Fri, 15 May 2015 15:58:31 +0100

dbus (1.9.16-1) experimental; urgency=medium

  * New upstream development release
  * Update symbols file
    - new ABI: dbus_message_iter_get_element_count()
    - ignore removal of dbus_internal_do_not_use_create_uuid(),
      it is just as internal as its name would suggest
    - make dbus_internal_do_not_use_get_uuid() generate a lockstep
      dependency on libdbus (it's used by dbus-uuidgen)

 -- Simon McVittie <smcv@debian.org>  Thu, 14 May 2015 15:57:32 +0100

dbus (1.8.18-1) unstable; urgency=medium

  * New upstream bugfix release
    - Hardening: lock down the session bus to only allow EXTERNAL auth by
      default, the same as the system bus. This avoids allowing
      DBUS_COOKIE_SHA1, which can end up using a predictable random source
      on systems where /dev/urandom is unavailable or dbus-daemon runs out
      of memory. See the upstream NEWS for more details.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 May 2015 13:59:55 +0100

dbus (1.9.14-2) experimental; urgency=medium

  * Remove dbus-glib build-dependency, no longer used
  * Merge from unstable
    - security hardening: PIE, bindnow
    - transcode debian/rules from Latin-1 to UTF-8
    - reproducible build

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2015 09:33:51 +0100

dbus (1.8.16-2) unstable; urgency=medium

  * Merge packaging changes (but not the new upstream branch) from
    experimental:
    - Move Vcs-Git to cgit; go via https, because we can
    - Standards-Version: 3.9.6 (no changes needed)
    - Remove debian/source/local-options, no longer necessary (dpkg-source
      now unapplies patches after the build if they were unapplied before)
    - Configure gbp-pq to export patches without patch numbers, and
      re-export our long-standing Debian patch in that format
    - dbus-x11: use dbus-x11.install for the Xsession hook
    - If DEB_BUILD_OPTIONS=noudeb, don't do the udeb build, for a 30% speedup
    - Change the check for requiring a reboot to be init-system-agnostic
      so Ubuntu can stop patching it (partially addresses #712167)
  * Security hardening: build position-independent executables
    for better ASLR
  * Security hardening: build with bindnow, so relro (which is
    already on by default) can make the entire PLT read-only
  * Transcode debian/rules from Latin-1 to UTF-8
  * Reproducible build: remove dates from man pages using sed
  * Reproducible build: patch Doxyfile.in to not include timestamps
    in HTML documentation

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2015 09:28:19 +0100

dbus (1.9.14-1) experimental; urgency=medium

  * New upstream release
    - drop all patches, except for warnings being non-fatal by default:
      all merged upstream
    - removes redundant <apparmor> directive that matches the new default
      behaviour anyway, allowing the old system bus to continue to reload
      its configuration until the system is rebooted (Closes: #779463)
    - update symbols file for new versioned-symbol support
    - generate strict (= ${binary:Version}) dependencies for
      anything using private symbols
  * Use the library in dbus-1-dbg to satisfy its binaries' dependencies

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Mar 2015 17:15:50 +0000

dbus (1.9.12-1) experimental; urgency=medium

  * New upstream release adds AppArmor mediation support
    - enable AppArmor in the normal build, disable it in the udeb
    - disable build of ducktype docs for now, it isn't in Debian
    - remove upstreamed patches
    - update patch series
  * Update patch series for fd.o #61301 to latest version
  * Change the check for requiring a reboot to be init-system-agnostic
    so Ubuntu can stop patching it (partially addresses #712167)
  * dbus Suggests: dbus-user-session | dbus-x11, not just dbus-x11
  * dbus-user-session Depends: libpam-systemd since it really needs logind

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Feb 2015 14:03:21 +0000

dbus (1.9.10-3) experimental; urgency=medium

  * Update proposed fd.o #61301 patch set:
    - dbus-launch --autolaunch now returns the XDG_RUNTIME_DIR/bus if
      available

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Feb 2015 18:18:18 +0000

dbus (1.9.10-2) experimental; urgency=low

  * Remove debian/source/local-options, no longer necessary (dpkg-source now
    unapplies patches after the build if they were unapplied before)
  * Configure gbp-pq to export patches without patch numbers, and
    re-export our long-standing Debian patch in that format
  * Add patch from upstream to reduce the number of fds the fdpass test
    demands, fixing autopkgtest in a more limited environment
  * Add patch from upstream to add a man page for dbus-test-tool
  * Move installed-tests for the production build (but not the debug build)
    to a new dbus-tests package, and add dbus-test-tool to that package
  * dbus-x11: use dbus-x11.install for the Xsession hook
  * If DEB_BUILD_OPTIONS=noudeb, don't do the udeb build, for a 30% speedup
  * Add patch proposed upstream adding unix:runtime=yes as a listenable
    address (fd.o #61303)
  * Add user-bus patch set as proposed upstream (fd.o #61301):
    - connect to XDG_RUNTIME_DIR/bus by default, if it is a socket
    - add systemd --user units to run dbus-daemon, in the new
      dbus-user-session package (Closes: #682375, #774626 for
      users of systemd and dbus-user-session)
    - even if dbus-x11 is installed, do not override an existing
      DBUS_SESSION_BUS_ADDRESS (Closes: #681241)
    - if dbus-x11 is installed, propagate all Xsession environment
      variables except XDG_SEAT, XDG_SESSION_ID, XDG_VTNR into
      D-Bus and systemd services for backwards compatibility
      (remove dbus-x11 to get a "legacy-free" mode of operation)

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Feb 2015 11:40:27 +0000

dbus (1.9.10-1) experimental; urgency=high

  * New upstream release fixes a local denial of service
    when using systemd activation (CVE-2015-0245)
  * Move Vcs-Git to cgit; go via https, because we can
  * Standards-Version: 3.9.6 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Feb 2015 15:39:09 +0000

dbus (1.8.16-1) unstable; urgency=high

  * New upstream release fixes a local denial of service
    when using systemd activation (CVE-2015-0245)

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2015 20:14:46 +0000

dbus (1.9.8-1) experimental; urgency=medium

  * Merge from unstable
    - relax the triggers from interest to interest-noawait (Closes: #771989;
      mitigates: #776063; partially reopens: #740139), see below
  * New upstream release with GNOME-style installed tests
    - run the tests through gnome-desktop-testing-runner
    - also continue to run the tests the old way to make sure there are
      no regressions
    - also run one test as root to verify behaviour with multiple uids
    - dbus-1-dbg is temporarily not Multi-Arch: same (until we split out
      dbus-1-tests, which will require a trip through the NEW queue)

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Feb 2015 21:34:57 +0000

dbus (1.8.14-2) unstable; urgency=high

  * Relax the triggers from interest to interest-noawait (Closes: #771989;
    mitigates: #776063; partially reopens: #740139).

    This is not strictly correct, because the purpose of the triggers
    is to set up the .conf, .service files for system services before those
    services satisfy dependencies. However, it mitigates #776063
    (apt getting into a stuck state during upgrades), and should in
    principle be redundant anyway, because dbus-daemon is meant to use
    inotify to keep up with configuration changes. See #771989, #776063
    for details.

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Feb 2015 17:28:12 +0000

dbus (1.8.14-1) unstable; urgency=medium

  * New upstream release to harden dbus-daemon against packages that install
    unsafe security policy configurations.

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Jan 2015 13:07:23 +0000

dbus (1.9.6-1) experimental; urgency=medium

  * New upstream release to harden dbus-daemon against packages that install
    unsafe security policy configurations.
  * Merge from unstable:
    - preinst: partially revert change from 1.9.4-2. It seems that the
      preinst is too late to add a useful dpkg-statoverride entry: dpkg has
      already loaded the statoverride database by this point, and if we add
      the entry in the preinst, dpkg-statoverride won't run and have
      its --update side-effect in the postinst. (Closes: #773107, #773838)
    - postinst: don't run dpkg-statoverride with 2>/dev/null: in the unlikely
      event that it fails for a reason other than "not overridden" (which
      results in silently exiting 1), we'll want to know about it.

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Jan 2015 11:12:21 +0000

dbus (1.8.12-3) unstable; urgency=medium

  * preinst: partially revert change from 1.8.12-2. It seems that the
    preinst is too late to add a useful dpkg-statoverride entry: dpkg has
    already loaded the statoverride database by this point, and if we add
    the entry in the preinst, dpkg-statoverride won't run and have
    its --update side-effect in the postinst. (Closes: #773107, #773838)
  * postinst: don't run dpkg-statoverride with 2>/dev/null: in the unlikely
    event that it fails for a reason other than "not overridden" (which
    results in silently exiting 1), we'll want to know about it.

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Dec 2014 21:21:20 +0000

dbus (1.8.12-2) unstable; urgency=medium

  * postinst: use dpkg-statoverride to set the permissions for
    dbus-daemon-launch-helper (expected to be 04754 root:messagebus)
    as suggested in Policy §10.9. This avoids a temporarily broken state
    when an upgraded dbus is unpacked but not yet configured (Closes: #773107)
  * preinst: opportunistically set up the same dpkg-statoverride entry
    if the group already exists, to avoid the same broken state during
    upgrades from older versions without needing Pre-Depends: adduser
  * postrm: delete the dpkg-statoverride entry on purge

 -- Simon McVittie <smcv@debian.org>  Sun, 21 Dec 2014 15:02:22 +0000

dbus (1.8.12-1ubuntu5) vivid; urgency=medium

  * Add debian/patches/dont-stop-dbus.patch: Don't stop D-Bus in the service
    unit (see patch header and upstream bug for details). Fixes various causes
    of shutdown hangs, particularly with remote file systems. (LP: #1438612)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 31 Mar 2015 18:46:06 +0200

dbus (1.8.12-1ubuntu4) vivid; urgency=medium

  * debian/patches/ensure-dbus-machine-id.patch:
    - ensure that we have /var/lib/dbus/machine-id on user's system as some
      third-parties application relies on that file. It will only copy
      /etc/machine-id the file is not present already.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 19 Mar 2015 15:19:02 +0100

dbus (1.8.12-1ubuntu3) vivid; urgency=medium

  * Install dbus into /usr/. It's not actually needed during early boot,
    and this deviates from upstream/Debian.
  * Adjust dbus.postinst to be systemd & usptart compatible when
    triggering reboot notification.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Tue, 03 Mar 2015 12:30:02 +0000

dbus (1.8.12-1ubuntu2) vivid; urgency=medium

  * Refresh the patches related to AppArmor D-Bus mediation to reflect what
    landed upstream in 1.9.12.
    - 0001-New-a-sv-helper-for-using-byte-arrays-as-the-variant.patch,
      0002-Add-LSM-agnostic-support-for-LinuxSecurityLabel-cred.patch,
      0003-Add-regression-test-for-LinuxSecurityLabel-credentia.patch,
      0004-Add-LinuxSecurityLabel-to-specification.patch: Add patches that
      report the AppArmor confinement context in the bus driver's
      GetConnectionCredentials method. A "LinuxSecurityLabel" key will be
      present in the dictionary returned by the GetConnectionCredentials
      method. The corresponding value will be the AppArmor confinement context
      of the connection.
    - 0001-Document-AppArmor-enforcement-in-the-dbus-daemon-man.patch,
      0002-Add-apparmor-element-and-attributes-to-the-bus-confi.patch,
      0003-Update-autoconf-file-to-build-against-libapparmor.patch,
      0004-Add-apparmor-element-support-to-bus-config-parsing.patch,
      0005-Initialize-AppArmor-mediation.patch,
      0006-Store-AppArmor-label-of-bus-during-initialization.patch,
      0007-Store-AppArmor-label-of-connecting-processes.patch,
      0008-Mediation-of-processes-that-acquire-well-known-names.patch,
      0009-Do-LSM-checks-after-determining-if-the-message-is-a-.patch,
      0010-Mediation-of-processes-sending-and-receiving-message.patch,
      0011-Mediation-of-processes-eavesdropping.patch: Replace the patches
      with the version that were merged upstream. The upstream review process
      revealed a number of bugs and useful cleanups that are addressed in the
      new patches.
      + No longer audit denials of unrequested reply messages (LP: #1362469)
    - aa-get-connection-apparmor-security-context.patch: Update patch to
      include a bug fix, from Simon McVittie, for AppArmor labels that contain
      non UTF-8 characters.
    - 0012-apparmor-tighten-up-terminology-for-context-vs.-labe.patch,
      0013-apparmor-Fix-build-failure-with-disable-apparmor.patch: New patches
      that were merged upstream to clean up the AA mediation code and fix a
      build failure
    - 0012-New-a-sv-helper-for-using-byte-arrays-as-the-variant.patch: Drop
      this patch. It became part of the "LinuxSecurityLabel" patch set and is
      added back with a new file name.
      0013-Add-AppArmor-support-to-GetConnectionCredentials.patch: Drop this
      patch in favor of the "LinuxSecurityLabel" patch set. This means that
      the AppArmorContext and AppArmorMode keys will not be present in the
      dictionary returned by GetConnectionCredentials. Ubuntu shipped this
      patch in 14.10 but, as far as I know, those keys were not used by any
      applications in 14.10. Since this patch was not accepted upstream,
      Ubuntu should drop it and new applications should begin using
      "LinuxSecurityLabel".

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 19 Feb 2015 11:06:14 -0600

dbus (1.8.12-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install binaries into / rather than /usr:
      + debian/rules: Set --exec-prefix=/
      + debian/dbus.install, debian/dbus-x11.install: Install from /bin
    - Use upstart to start:
      + Add debian/dbus.upstart and dbus.user-session.upstart
      + debian/dbus.postinst: Use upstart call instead of invoking the init.d
        script for checking if we are already running. 
      + debian/control: versioned dependency on netbase that emits the new
        deconfiguring-networking event used in upstart script.
    - 20_system_conf_limit.patch: Increase max_match_rules_per_connection for
      the system bus to 5000 (LP #454093)
    - 81-session.conf-timeout.patch: Raise the service startup timeout from 25
      to 60 seconds. It may be too short on the live CD with slow machines.
    - debian/dbus.user-session.upstart, debian/rules: Communicate session bus
      to Upstart Session Init to avoid potential out-of-memory scenario
      triggered by Upstart clients that do not run main loops. Store the
      session bus address in XDG_RUNTIME_DIR.
      (LP: #1235649, LP: #1252317).
    - debian/control, debian/rules: Build against libapparmor for AppArmor
      D-Bus mediation
    - debian/control: Use logind for session tracking, so that "at_console"
      policies work with logind instead of ConsoleKit. Add "libpam-systemd"
      recommends.
    - debian/rules: Adjust dbus-send path to our changed install layout.
      (LP: #1325364)
    - debian/dbus-Xsession: Don't start a session bus if there already is
      one, i. e. $DBUS_SESSION_BUS_ADDRESS is already set. (Closes: #681241)
    - 0001-Document-AppArmor-enforcement-in-the-dbus-daemon-man.patch,
      0002-Add-apparmor-element-and-attributes-to-the-bus-confi.patch,
      0003-Update-autoconf-file-to-build-against-libapparmor.patch,
      0004-Add-apparmor-element-support-to-bus-config-parsing.patch,
      0005-Initialize-AppArmor-mediation.patch,
      0006-Store-AppArmor-label-of-bus-during-initialization.patch,
      0007-Store-AppArmor-label-of-connecting-processes.patch,
      0008-Mediation-of-processes-that-acquire-well-known-names.patch,
      0009-Do-LSM-checks-after-determining-if-the-message-is-a-.patch,
      0010-Mediation-of-processes-sending-and-receiving-message.patch,
      0011-Mediation-of-processes-eavesdropping.patch,
      0012-New-a-sv-helper-for-using-byte-arrays-as-the-variant.patch,
      0013-Add-AppArmor-support-to-GetConnectionCredentials.patch: Add the
      latest set of AppArmor D-Bus mediation patches. This the v3 patch set
      from the upstream feature inclusion bug.
      - https://bugs.freedesktop.org/show_bug.cgi?id=75113
    - aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 12 Dec 2014 18:04:56 +0000

dbus (1.8.12-1) unstable; urgency=medium

  * New upstream release 1.8.12
    - increase auth_timeout from 5 seconds back to 30 seconds since it
      appears to cause slow or failed boot on some systems, reverting a
      change in 1.8.8 (Closes: #769069)
    - add a README.Debian to the dbus package documenting how
      sysadmins with hostile local users can get the lower timeout back,
      if their systems are fast enough to boot correctly like that

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Nov 2014 13:46:01 +0000

dbus (1.9.4-2) experimental; urgency=medium

  * postinst: use dpkg-statoverride to set the permissions for
    dbus-daemon-launch-helper (expected to be 04754 root:messagebus)
    as suggested in Policy §10.9. This avoids a temporarily broken state
    when an upgraded dbus is unpacked but not yet configured (Closes: #773107)
  * preinst: opportunistically set up the same dpkg-statoverride entry
    if the group already exists, to avoid the same broken state during
    upgrades from older versions without needing Pre-Depends: adduser
  * postrm: delete the dpkg-statoverride entry on purge

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Dec 2014 08:18:15 +0000

dbus (1.9.4-1) experimental; urgency=medium

  * New upstream release 1.9.4
    - increase auth_timeout from 5 seconds back to 30 seconds since it
      appears to cause slow or failed boot on some systems, reverting a
      change in 1.8.8 (Closes: #769069)
    - add a README.Debian to the dbus package documenting how
      sysadmins with hostile local users can get the lower timeout back,
      if their systems are fast enough to boot correctly like that

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Nov 2014 13:57:00 +0000

dbus (1.9.2-1) experimental; urgency=medium

  * Merge from unstable
    - Remove Build-Profiles control field until the syntax settles down
      (Closes: #764222)
    - Start 'dbus-daemon --system' as root under sysvinit (it already
      starts as root under systemd), so it can increase its file
      descriptor limit
  * New upstream release 1.9.2
    - raise dbus-daemon's file descriptor limit to 65536 to avoid an
      opportunity for denial of service
      (CVE-2014-7824, an incomplete fix for CVE-2014-3636)
    - don't package dbus-test-tool for now, to avoid the NEW queue

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Nov 2014 21:08:06 +0000

dbus (1.9.0-1) experimental; urgency=medium

  [ Michael Biebl ]
  * Build against libsystemd-dev. In systemd v209 the various libraries were
    merged into a single libsystemd library.

  [ Simon McVittie ]
  * debian/dbus.bug-control: when people report bugs against dbus,
    also report the status of systemd and systemd-sysv (because
    those alter how system service activation works), and dbus-x11
    (because that's responsible for normal session bus setup)
  * New upstream development release
    - Debug.Stats interface is now enabled (for root only) by default;
      explicitly disable it for the udeb
    - embedded code copy of sd-daemon.[ch] has gone away, remove it from the
      coypright file
  * Use --with-valgrind=auto (supported since 1.7.6) for the debug build
  * Use -Wl,--gc-sections to avoid recent toolchain putting the
    entire libdbus-internal.la into dbus-daemon-launch-helper

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Oct 2014 21:44:11 +0100

dbus (1.8.10-1) unstable; urgency=medium

  * New upstream release 1.8.10
    - raise dbus-daemon's file descriptor limit to 65536 to avoid an
      opportunity for denial of service
      (CVE-2014-7824, an incomplete fix for CVE-2014-3636)
  * Start 'dbus-daemon --system' as root under sysvinit (it already
    starts as root under systemd), so it can increase its file
    descriptor limit

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Nov 2014 16:28:22 +0000

dbus (1.8.8-2ubuntu2) vivid; urgency=medium

  * SECURITY UPDATE: denial of service via large number of fds
    - debian/patches/CVE-2014-7824.patch: raise rlimit and restore it for
      activated services in bus/activation.c, bus/bus.*,
      dbus/dbus-sysdeps-util-unix.c, dbus/dbus-sysdeps-util-win.c,
      dbus/dbus-sysdeps.h.
    - debian/dbus.init: don't launch daemon as a user so the rlimit can be
      raised.
    - CVE-2014-7824
  * SECURITY REGRESSION: authentication timeout on certain slower systems
    - debian/patches/CVE-2014-3639-regression.patch: raise auth_timeout
      back up to 30 secs in bus/config-parser.c, add a warning to
      bus/connection.c.
    - CVE-2014-3639

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 Nov 2014 14:22:42 -0500

dbus (1.8.8-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install binaries into / rather than /usr:
      + debian/rules: Set --exec-prefix=/
      + debian/dbus.install, debian/dbus-x11.install: Install from /bin
    - Use upstart to start:
      + Add debian/dbus.upstart and dbus.user-session.upstart
      + debian/dbus.postinst: Use upstart call instead of invoking the init.d
        script for checking if we are already running. 
      + debian/control: versioned dependency on netbase that emits the new
        deconfiguring-networking event used in upstart script.
    - 20_system_conf_limit.patch: Increase max_match_rules_per_connection for
      the system bus to 5000 (LP #454093)
    - 81-session.conf-timeout.patch: Raise the service startup timeout from 25
      to 60 seconds. It may be too short on the live CD with slow machines.
    - debian/dbus.user-session.upstart, debian/rules: Communicate session bus
      to Upstart Session Init to avoid potential out-of-memory scenario
      triggered by Upstart clients that do not run main loops
      (LP: #1235649, LP: #1252317).
    - debian/control, debian/rules: Build against libapparmor for AppArmor
      D-Bus mediation
    - debian/control: Use logind for session tracking, so that "at_console"
      policies work with logind instead of ConsoleKit. Add "libpam-systemd"
      recommends.
    - debian/rules: Adjust dbus-send path to our changed install layout.
      (LP: #1325364)
    - debian/dbus-Xsession: Don't start a session bus if there already is
      one, i. e. $DBUS_SESSION_BUS_ADDRESS is already set. (Closes: #681241)
    - 0001-Document-AppArmor-enforcement-in-the-dbus-daemon-man.patch,
      0002-Add-apparmor-element-and-attributes-to-the-bus-confi.patch,
      0003-Update-autoconf-file-to-build-against-libapparmor.patch,
      0004-Add-apparmor-element-support-to-bus-config-parsing.patch,
      0005-Initialize-AppArmor-mediation.patch,
      0006-Store-AppArmor-label-of-bus-during-initialization.patch,
      0007-Store-AppArmor-label-of-connecting-processes.patch,
      0008-Mediation-of-processes-that-acquire-well-known-names.patch,
      0009-Do-LSM-checks-after-determining-if-the-message-is-a-.patch,
      0010-Mediation-of-processes-sending-and-receiving-message.patch,
      0011-Mediation-of-processes-eavesdropping.patch,
      0012-New-a-sv-helper-for-using-byte-arrays-as-the-variant.patch,
      0013-Add-AppArmor-support-to-GetConnectionCredentials.patch: Add the
      latest set of AppArmor D-Bus mediation patches. This the v3 patch set
      from the upstream feature inclusion bug.
      - https://bugs.freedesktop.org/show_bug.cgi?id=75113
    - aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
    - write to $XDG_RUNTIME_DIR instead of the users home when creating the
      dbus-session file, so we can start our session even with 100% filled or
      readonly home dir (LP: #1316978)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Oct 2014 09:39:05 +0100

dbus (1.8.8-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Build against libsystemd-dev. In systemd v209 the various libraries were
    merged into a single libsystemd library.

  [ Simon McVittie ]
  * debian/dbus.bug-control: when people report bugs against dbus,
    also report the status of systemd and systemd-sysv (because
    those alter how system service activation works), and dbus-x11
    (because that's responsible for normal session bus setup)
  * Remove Build-Profiles control field until the syntax settles down
    (Closes: #764222)
  * Use --with-valgrind=auto (supported since 1.7.6) for the debug build

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Oct 2014 19:17:04 +0100

dbus (1.8.8-1ubuntu2) utopic; urgency=medium

  * write to $XDG_RUNTIME_DIR instead of the users home when creating the
    dbus-session file, so we can start our session even with 100% filled or
    readonly home dir (LP: #1316978)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 26 Sep 2014 15:07:05 +0200

dbus (1.8.8-1ubuntu1) utopic; urgency=medium

  * Resynchronize on Debian. Remaining Ubuntu changes:
    - Install binaries into / rather than /usr:
      + debian/rules: Set --exec-prefix=/
      + debian/dbus.install, debian/dbus-x11.install: Install from /bin
    - Use upstart to start:
      + Add debian/dbus.upstart and dbus.user-session.upstart
      + debian/dbus.postinst: Use upstart call instead of invoking the init.d
        script for checking if we are already running. 
      + debian/control: versioned dependency on netbase that emits the new
        deconfiguring-networking event used in upstart script.
    - 20_system_conf_limit.patch: Increase max_match_rules_per_connection for
      the system bus to 5000 (LP #454093)
    - 81-session.conf-timeout.patch: Raise the service startup timeout from 25
      to 60 seconds. It may be too short on the live CD with slow machines.
    - debian/dbus.user-session.upstart, debian/rules: Communicate session bus
      to Upstart Session Init to avoid potential out-of-memory scenario
      triggered by Upstart clients that do not run main loops
      (LP: #1235649, LP: #1252317).
    - debian/control, debian/rules: Build against libapparmor for AppArmor
      D-Bus mediation
    - debian/control: Use logind for session tracking, so that "at_console"
      policies work with logind instead of ConsoleKit. Add "libpam-systemd"
      recommends.
    - debian/rules: Adjust dbus-send path to our changed install layout.
      (LP: #1325364)
    - debian/dbus-Xsession: Don't start a session bus if there already is
      one, i. e. $DBUS_SESSION_BUS_ADDRESS is already set. (Closes: #681241)
    - 0001-Document-AppArmor-enforcement-in-the-dbus-daemon-man.patch,
      0002-Add-apparmor-element-and-attributes-to-the-bus-confi.patch,
      0003-Update-autoconf-file-to-build-against-libapparmor.patch,
      0004-Add-apparmor-element-support-to-bus-config-parsing.patch,
      0005-Initialize-AppArmor-mediation.patch,
      0006-Store-AppArmor-label-of-bus-during-initialization.patch,
      0007-Store-AppArmor-label-of-connecting-processes.patch,
      0008-Mediation-of-processes-that-acquire-well-known-names.patch,
      0009-Do-LSM-checks-after-determining-if-the-message-is-a-.patch,
      0010-Mediation-of-processes-sending-and-receiving-message.patch,
      0011-Mediation-of-processes-eavesdropping.patch,
      0012-New-a-sv-helper-for-using-byte-arrays-as-the-variant.patch,
      0013-Add-AppArmor-support-to-GetConnectionCredentials.patch: Add the
      latest set of AppArmor D-Bus mediation patches. This the v3 patch set
      from the upstream feature inclusion bug.
      - https://bugs.freedesktop.org/show_bug.cgi?id=75113
    - aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Sep 2014 15:52:35 -0400

dbus (1.8.8-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Don't attempt config reload if dbus system bus is not running.

  [ Simon McVittie ]
  * Bump dbus up to Priority: standard because without it, systemd-logind
    does not run a getty on tty2..tty6 (matching ftp-master action in
    #759293)
  * New upstream release fixes several security issues
    - CVE-2014-3635: do not accept an extra fd in cmsg padding,
      avoiding a buffer overrun in dbus-daemon or system services
    - CVE-2014-3636: reduce maximum number of file descriptors
       per message from 1024 to 16, to avoid two separate denial-of-service
       attacks that could cause system services to be dropped from the bus
    - CVE-2014-3637: time out connections that have a
       partially-sent message containing a file descriptor, so that
       malicious processes cannot use self-referential file descriptors
       to make a connection that will never close
    - CVE-2014-3638: reduce maximum number of pending replies
      per connection to avoid algorithmic complexity DoS
    - CVE-2014-3639: reduce timeout for authentication and
      do not accept() new connections when all unauthenticated connection
      slots are in use, so that malicious processes cannot prevent new
      connections to the system bus
  * debian/copyright: fix glob syntax, .[ch] is not supported

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Sep 2014 12:58:25 +0100

dbus (1.8.6-2) unstable; urgency=medium

  * debian/dbus.posinst: When triggered only poke the dbus-daemon, don't run
    update-rc.d/invoke-rc.d as added by dh_installinit. This prevent some
    odd-corner when being triggered during init system upgrade
    (Closes: #754404)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 13 Aug 2014 22:30:38 +0200

dbus (1.8.6-1ubuntu1) utopic; urgency=low

  * Resynchronize on Debian testing (LP: #1320422). Remaining Ubuntu changes:
    - Install binaries into / rather than /usr:
      + debian/rules: Set --exec-prefix=/
      + debian/dbus.install, debian/dbus-x11.install: Install from /bin
    - Use upstart to start:
      + Add debian/dbus.upstart and dbus.user-session.upstart
      + debian/dbus.postinst: Use upstart call instead of invoking the init.d
        script for checking if we are already running. 
      + debian/control: versioned dependency on netbase that emits the new
        deconfiguring-networking event used in upstart script.
    - 20_system_conf_limit.patch: Increase max_match_rules_per_connection for
      the system bus to 5000 (LP #454093)
    - 81-session.conf-timeout.patch: Raise the service startup timeout from 25
      to 60 seconds. It may be too short on the live CD with slow machines.
    - debian/dbus.user-session.upstart, debian/rules: Communicate session bus
      to Upstart Session Init to avoid potential out-of-memory scenario
      triggered by Upstart clients that do not run main loops
      (LP: #1235649, LP: #1252317).
    - debian/control, debian/rules: Build against libapparmor for AppArmor
      D-Bus mediation
    - debian/control: Use logind for session tracking, so that "at_console"
      policies work with logind instead of ConsoleKit. Add "libpam-systemd"
      recommends.
    - debian/rules: Adjust dbus-send path to our changed install layout.
      (LP: #1325364)
    - debian/dbus-Xsession: Don't start a session bus if there already is one,
      i. e. $DBUS_SESSION_BUS_ADDRESS is already set. (Closes: #681241)
  * Dropped changes:
    - debian/control: Drop version bump on the libglib2.0-dev Build-Depends.
      It is no longer needed.
    - debian/control: use "Breaks: unity-services (<< 6.0.0-0ubuntu6)", the
      new dbus eavedropping protection was creating issues with previous
      versions. This can be dropped now since upgrades from Quantal are no
      longer a concern.
    - debian/control, debian/rules: The tests are not run during the build.
      Configure with --disable-tests, drop the build dependencies needed for
      the tests. The tests should now run with the debug build using
      autopkgtest.
    - 00git_logind_check.patch: Fix logind check. This change is present in
      upstream dbus.
    - Add 00git_sd_daemon_update.patch: Update to current sytemd upstream
      sd_booted() to actually check for systemd init. This change is present
      in upstream dbus.
    - debian/patches/aa-build-tools.patch, debian/patches/aa-mediation.patch,
      debian/patches/aa-mediate-eavesdropping.patch: Drop these patches in
      favor of the latest set of patches submitted for upstream inclusion
    - debian/patches/02_obsolete_g_thread_api.patch: This change is present in
      upstream dbus
    - 0001-activation-allow-for-more-variation-than-just-system.patch,
      0002-bus-change-systemd-activation-to-activation-systemd.patch,
      0003-upstart-add-upstart-as-a-possible-activation-type.patch,
      0004-upstart-add-UpstartJob-to-service-desktop-files.patch,
      0005-activation-implement-upstart-activation.patch: These patches have
      been disabled since 12.10 so it should be safe to remove them at this
      point
    - debian/patches/CVE-2014-3477.patch, debian/patches/CVE-2014-3532.patch,
      debian/patches/CVE-2014-3533.patch: These changes are present in
      upstream dbus
  * 0001-Document-AppArmor-enforcement-in-the-dbus-daemon-man.patch,
    0002-Add-apparmor-element-and-attributes-to-the-bus-confi.patch,
    0003-Update-autoconf-file-to-build-against-libapparmor.patch,
    0004-Add-apparmor-element-support-to-bus-config-parsing.patch,
    0005-Initialize-AppArmor-mediation.patch,
    0006-Store-AppArmor-label-of-bus-during-initialization.patch,
    0007-Store-AppArmor-label-of-connecting-processes.patch,
    0008-Mediation-of-processes-that-acquire-well-known-names.patch,
    0009-Do-LSM-checks-after-determining-if-the-message-is-a-.patch,
    0010-Mediation-of-processes-sending-and-receiving-message.patch,
    0011-Mediation-of-processes-eavesdropping.patch,
    0012-New-a-sv-helper-for-using-byte-arrays-as-the-variant.patch,
    0013-Add-AppArmor-support-to-GetConnectionCredentials.patch: Add the
    latest set of AppArmor D-Bus mediation patches. This the v3 patch set from
    the upstream feature inclusion bug.
    - https://bugs.freedesktop.org/show_bug.cgi?id=75113
  * aa-get-connection-apparmor-security-context.patch: Refresh this patch so
    that it compiles with latest AppArmor D-Bus mediation patches. It is not
    intended for upstream inclusion. It implements a bus method
    (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
    security context but upstream D-Bus has recently added a generic way of
    getting a connection's security credentials (GetConnectionCredentials).
    Ubuntu should carry this patch until packages in the archive are moved
    over to the new, generic method of getting a connection's credentials.

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 15 Aug 2014 13:37:15 -0500

dbus (1.8.6-1) unstable; urgency=high

  * New upstream release
    - fix two local DoS vulnerabilities (CVE-2014-3532, CVE-2014-3533)

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Jun 2014 15:15:58 +0100

dbus (1.8.4-1) unstable; urgency=high

  * New upstream release, fixing a DoS vulnerability (CVE-2014-3477)

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Jun 2014 15:12:02 +0100

dbus (1.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Apr 2014 20:17:46 +0100

dbus (1.8.0-3) unstable; urgency=medium

  * Improve autopkgtest support
    - use a shell wildcard instead of dpkg-architecture, to avoid stderr spam
      failing the test if gcc is missing
    - wrap each test-case in an arbitrary (5 minute) timeout so that one
      test-case failing won't halt the whole build

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Mar 2014 09:17:20 +0000

dbus (1.8.0-2) unstable; urgency=low

  * debian/rules: look for DEB_BUILD_PROFILES, the new name for
    DEB_BUILD_PROFILE
  * Don't try to install systemd units in a stage1 build (they are
    no longer installed unless libsystemd*-dev are found) (Closes: #738317)
  * Mark dbus-1-doc with Build-Profiles: !stage1
  * Register a dpkg trigger on /usr/share/dbus-1/system-services and
    /etc/dbus-1/system.d that calls ReloadConfig on the system dbus-daemon,
    in case our inotify monitoring isn't completely reliable (see #740139)
  * Clean debian/tmp-udeb in `debian/rules clean`
  * Hook up the installed tests to DEP-8 metadata
  * Add a simple compile/link/run test

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Feb 2014 13:15:14 +0000

dbus (1.8.0-1) unstable; urgency=low

  * New upstream stable release
    - add debian/copyright stanzas for some new BSD-licensed cmake macros

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Jan 2014 15:05:53 +0000

dbus (1.7.10-2) unstable; urgency=low

  * Conditionalize libaudit and libcap-ng build-dependencies to [linux-any]
  * Explicitly enable libaudit, SELinux and systemd on Linux;
    do not enable them elsewhere

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Jan 2014 12:12:15 +0000

dbus (1.7.10-1) unstable; urgency=low

  * Merge from experimental into unstable
  * New upstream release 1.7.10 (1.8 rc1)
  * Generate debian/dbus.install from a generic part and a Linux-specific
    part, since systemd metadata doesn't get installed on non-Linux any more

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Jan 2014 19:43:36 +0000

dbus (1.7.8-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/rules: Re-add udeb_configure_flags that were lost during merge
    (Closes: #727774)

  [ Simon McVittie ]
  * Standards-Version: 3.9.5 (no changes needed)
  * Enable libaudit support so messages that violate SELinux policy go to the
    audit log (Closes: #727771)
  * New upstream release
    - add new dependency on libsystemd-journal-dev for linux-any

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Oct 2013 13:07:02 +0000

dbus (1.7.6-2) experimental; urgency=low

  * debian/rules: FTBFS if new symbols or libraries are added
    without updating the symbols file
  * debian/copyright: list copyright holders and minor licenses
    (Closes: #726000)
  * Merge packaging changes from unstable:
    - Run `update-rc.d dbus defaults` instead of deprecated
      `update-rc.d dbus start ...` (Closes: #725923)
    - Add udeb packages, so the graphical installer can use AT-SPI
      (Closes: #723952)
    - Standards-Version: 3.9.4 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Oct 2013 16:30:55 +0100

dbus (1.7.6-1) experimental; urgency=low

  * Standards-Version: 3.9.4 (no changes needed)
  * New upstream development release
    - update symbols

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Oct 2013 16:44:43 +0100

dbus (1.7.4-1) experimental; urgency=low

  * New upstream development release
    - CVE-2013-2168: avoid a user-triggerable crash (denial of services)
      in system services that use libdbus

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Jun 2013 19:53:00 +0100

dbus (1.7.2-1) experimental; urgency=low

  * New upstream development release
  * Do the debug build --with-valgrind on mipsel, too

 -- Simon McVittie <smcv@debian.org>  Thu, 25 Apr 2013 13:46:10 +0100

dbus (1.7.0-1) experimental; urgency=low

  * Branch for experimental
  * New upstream development release
  * On architectures where it's currently supported, do the
    debug build with --with-valgrind for better instrumentation
  * debian/rules: factor out production and debug configure flags
  * Add support for DEB_BUILD_OPTIONS=nodocs, which omits most documentation
    (allowing doxygen and xmlto to be avoided) and the dbus-1-doc package
  * Add support for DEB_BUILD_PROFILE=stage1, which does the same as nodocs
    and additionally makes the debug build not insist on building all tests
  * Make the development and debugging packages Multi-Arch: same,
    since their arch-dependent files are all arch-segregated
    (/usr/lib/TUPLE) or named according to a build-ID (/usr/lib/debug)
    (Closes: #689071). This is not actually useful until pkg-config
    becomes M-A: foreign (#631275).

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Feb 2013 15:20:10 +0000

dbus (1.6.18-2) unstable; urgency=medium

  * Disable valgrind integration in the debug build on armel,
    since valgrind no longer supports armel (Closes: #729136)

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Dec 2013 10:22:39 +0000

dbus (1.6.18-1) unstable; urgency=low

  * Run `update-rc.d dbus defaults` instead of deprecated
    `update-rc.d dbus start ...` (Closes: #725923)
  * debian/rules: FTBFS if new symbols or libraries are added
    without updating the symbols file
  * debian/copyright: list copyright holders and minor licenses
    (Closes: #726000)
  * New upstream release 1.6.18
  * Standards-Version: 3.9.5 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Nov 2013 16:30:33 +0000

dbus (1.6.18-0ubuntu10) utopic; urgency=medium

  * Drop upstart dependency. We ship init scripts for sysv, upstart, and
    systemd now. (LP: #1351306)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 01 Aug 2014 15:19:20 +0200

dbus (1.6.18-0ubuntu9) utopic; urgency=medium

  * SECURITY UPDATE: denial of service via activation errors
    - debian/patches/CVE-2014-3477.patch: improve error handling in
      bus/activation.*, bus/services.c.
    - CVE-2014-3477
  * SECURITY UPDATE: denial of service via ETOOMANYREFS
    - debian/patches/CVE-2014-3532.patch: drop message on ETOOMANYREFS in
      dbus/dbus-sysdeps.*, dbus/dbus-transport-socket.c.
    - CVE-2014-3532
  * SECURITY UPDATE: denial of service via invalid file descriptor
    - debian/patches/CVE-2014-3533.patch: fix memory handling in
      dbus/dbus-message.c.
    - CVE-2014-3533

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 03 Jul 2014 08:28:23 -0400

dbus (1.6.18-0ubuntu8) utopic; urgency=medium

  * debian/dbus-Xsession: Don't start a session bus if there already is one,
    i. e. $DBUS_SESSION_BUS_ADDRESS is already set. (Closes: #681241)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jun 2014 11:07:54 +0200

dbus (1.6.18-0ubuntu7) utopic; urgency=medium

  * debian/rules: Adjust dbus-send path to our changed install layout.
    (LP: #1325364)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Jun 2014 09:05:53 +0200

dbus (1.6.18-0ubuntu6) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:39:49 +0100

dbus (1.6.18-0ubuntu5) utopic; urgency=medium

  * Do not fail starting user-session dbus, if e.g. /home is 100% or
    ~/.cache is not-writable.
  * Make sure that DBUS_SESSION_ADDRESS is only exported, after the
    session dbus has been launched.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 02 May 2014 12:00:27 +0100

dbus (1.6.18-0ubuntu4) trusty; urgency=medium

  * Create ~/.cache/upstart if it doesn't already exist.
    Thanks to Ryan Lovett for the patch. (LP: #1300516)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 01 Apr 2014 17:53:17 -0400

dbus (1.6.18-0ubuntu3) trusty; urgency=low

  * aa-mediate-eavesdropping.patch: Query AppArmor when confined applications
    attempt to eavesdrop on the bus. See the apparmor.d(5) man page for
    AppArmor syntax details. (LP: #1262440)
  * debian/control: Depend on the apparmor version containing the new
    eavesdrop permission

 -- Tyler Hicks <tyhicks@canonical.com>  Mon, 13 Jan 2014 11:45:21 -0600

dbus (1.6.18-0ubuntu2) trusty; urgency=low

  [ James Hunt ]
  * debian/dbus.user-session.upstart: Communicate session bus to Upstart
    Session Init to avoid potential out-of-memory scenario triggered by
    Upstart clients that do not run main loops (LP: #1235649, LP: #1252317).

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 19 Nov 2013 11:14:58 +0000

dbus (1.6.18-0ubuntu1) trusty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Nov 2013 18:07:24 +0100

dbus (1.6.16-1) unstable; urgency=low

  * New upstream stable release 1.6.16
  * Backport the new dbus-run-session tool from D-Bus 1.7
  * Add udeb packages, so the graphical installer can use AT-SPI
    (Closes: #723952)
  * Standards-Version: 3.9.4 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Oct 2013 16:44:21 +0100

dbus (1.6.14-1) unstable; urgency=low

  * New upstream stable release 1.6.14
    - fixes an infinite busy-loop if waitpid() is interrupted by a signal
      while spawning a subprocess (Closes: #721932)

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Sep 2013 16:42:55 +0100

dbus (1.6.12-1) unstable; urgency=high

  * New upstream stable release 1.6.12
    - CVE-2013-2168: avoid a user-triggerable crash (denial of services)
      in system services that use libdbus

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Jun 2013 14:38:34 +0100

dbus (1.6.12-0ubuntu10) saucy; urgency=low

  * debian/patches/aa-mediation.patch: Attempt to open() the mask file in
    apparmorfs/features/dbus rather than simply stat() the dbus directory.
    This is an important difference because AppArmor does not mediate the
    stat() syscall. This resulted in problems in an environment where
    dbus-daemon, running inside of an LXC container, did not have the
    necessary AppArmor rules to access apparmorfs but the stat() succeeded
    so mediation was not properly disabled. (LP: #1238267)
    This problem was exposed after dropping aa-kernel-compat-check.patch
    because the compat check was an additional check that performed a test
    query. The test query was failing in the above scenario, which did result
    in mediation being disabled.
  * debian/patches/aa-get-connection-apparmor-security-context.patch,
    debian/patches/aa-mediate-eavesdropping.patch: Refresh these patches to
    accomodate the above change

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 10 Oct 2013 10:40:26 -0700

dbus (1.6.12-0ubuntu9) saucy; urgency=low

  * debian/patches/aa-mediate-eavesdropping.patch: Fix a regression that
    caused dbus-daemon to segfault when AppArmor mediation is disabled, or
    unsupported by the kernel, and an application attempts to eavesdrop
    (LP: #1237059)

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 08 Oct 2013 17:58:36 -0700

dbus (1.6.12-0ubuntu8) saucy; urgency=low

  * debian/patches/aa-kernel-compat-check.patch: Drop this patch. It was a
    temporary compatibility check to paper over incompatibilities between
    dbus-daemon, libapparmor, and the AppArmor kernel code while AppArmor
    D-Bus mediation was in development.
  * debian/patches/aa-mediation.patch: Fix a bug that resulted in all actions
    denied by AppArmor to be audited. Auditing such actions is the default,
    but it should be possible to quiet audit messages by using the "deny"
    AppArmor rule modifier. (LP: #1226356)
  * debian/patches/aa-mediation.patch: Fix a bug in the code that builds
    AppArmor queries for the process that is receiving a message. The
    message's destination was being used, as opposed to the message's source,
    as the peer name in the query string. (LP: #1233895)
  * debian/patches/aa-mediate-eavesdropping.patch: Don't allow applications
    that are confined by AppArmor to eavesdrop. Ideally, this would be
    configurable with AppArmor policy, but the parser does not yet support
    any type of eavesdropping permission. For now, confined applications will
    simply not be allowed to eavesdrop. (LP: #1229280)

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 04 Oct 2013 09:59:21 -0700

dbus (1.6.12-0ubuntu7) saucy; urgency=low

  * Enable log output in session dbus upstart job.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 04 Oct 2013 10:21:15 +0100

dbus (1.6.12-0ubuntu6) saucy; urgency=low

  * Specify --fork to dbus-daemon in upstart user-session mode, to get the
    daemon readiness information and emit started dbus, when dbus is
    actually ready to operate. (LP: #1234731)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 03 Oct 2013 17:32:15 +0100

dbus (1.6.12-0ubuntu5) saucy; urgency=low

  * Add support for mediation of D-Bus messages and services. AppArmor D-Bus
    rules are described in the apparmor.d(5) man page. dbus-daemon will use
    libapparmor to perform queries against the AppArmor policies to determine
    if a connection should be able to send messages to another connection, if
    a connection should be able to receive messages from another connection,
    and if a connection should be able to bind to a well-known name.
    - debian/patches/aa-build-tools.patch: Update build files to detect and
      build against libapparmor
    - debian/patches/aa-mediation.patch: Support AppArmor mediation of D-Bus
      messages and services. By default, AppArmor mediation is enabled if
      AppArmor is available. To disable AppArmor mediation, place
      '<apparmor mode="disabled"/>' in each bus configuration file. See the
      dbus-daemon(1) man page for more details.
    - debian/patches/aa-get-connection-apparmor-security-context.patch: Add an
      org.freedesktop.DBus.GetConnectionAppArmorSecurityContext method that
      takes the unique name of a connection as input and returns the AppArmor
      label attached to the connection
    - debian/patches/aa-kernel-compat-check.patch: Perform a compatibility
      check of dbus, libapparmor, and the AppArmor kernel code during
      initialization to determine if everything is in place to perform
      AppArmor mediation. This is a temporary patch to overcome some potential
      incompatabilities during the Saucy development release and should be
      dropped prior to Saucy's release.
    - debian/control: Add libapparmor-dev as a Build-Depends
    - debian/rules: Specify that D-Bus should be built against libapparmor
      during the configure stage of the build
  * debian/patches/aa-mediation.patch: Clean up the AppArmor initialization
    - Don't treat any errors from aa_is_enabled() as fatal unless the AppArmor
      D-Bus mode is set to "required". This should fix errors when various
      test cases need to start dbus-daemon on buildds. (LP: #1217598)
    - Don't print to stderr during initialization unless an error has
      occurred (LP: #1217710)
    - Don't redefine _dbus_warn() to syslog(). A previous comment left in the
      code suggested that _dbus_warn() caused segfaults. Testing proves that
      is not the case.
  * debian/patches/aa-get-connection-apparmor-security-context.patch: Refresh
    patch to fix offset warnings after modifying aa-mediation.patch

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 28 Aug 2013 13:26:13 -0700

dbus (1.6.12-0ubuntu2) saucy; urgency=low

  * dump DBUS_SESSION_BUS_ADDRESS into ~/.dbus-session, so we can source it

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 16 Jul 2013 19:56:35 +0200

dbus (1.6.12-0ubuntu1) saucy; urgency=low

  * New upstream version, drop CVE-2013-2168.patch included in the update

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Jun 2013 19:04:25 +0200

dbus (1.6.10-1) unstable; urgency=low

  * New upstream stable release 1.6.10
  * Merge everything except the upstream development release from experimental:
    - On architectures where it's currently supported, do the
      debug build with --with-valgrind for better instrumentation
    - debian/rules: factor out production and debug configure flags
    - Add support for DEB_BUILD_OPTIONS=nodocs, which omits most documentation
      (allowing doxygen and xmlto to be avoided) and the dbus-1-doc package
    - Add support for DEB_BUILD_PROFILE=stage1, which does the same as nodocs
      and additionally makes the debug build not insist on building all tests
    - Make the development and debugging packages Multi-Arch: same,
      since their arch-dependent files are all arch-segregated
      (/usr/lib/TUPLE) or named according to a build-ID (/usr/lib/debug)
      (Closes: #689071). This is not actually useful until pkg-config
      becomes M-A: foreign (#631275).
  * Do the debug build --with-valgrind on mipsel, too

 -- Simon McVittie <smcv@debian.org>  Wed, 08 May 2013 10:52:51 +0100

dbus (1.6.10-0ubuntu2) saucy; urgency=low

  * SECURITY UPDATE: denial of service via _dbus_printf_string_upper_bound()
    length.
    - debian/patches/CVE-2013-2168.patch: use a copy of va_list in
      dbus/dbus-sysdeps-unix.c, dbus/dbus-sysdeps-win.c, added test to
      test/Makefile.am, test/internals/printf.c.
    - CVE-2013-2168

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Jun 2013 08:40:01 -0400

dbus (1.6.10-0ubuntu1) saucy; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 May 2013 19:29:40 +0200

dbus (1.6.8-1ubuntu8) saucy; urgency=low

  * Add 00git_logind_check.patch: Fix logind check.
  * Add 00git_sd_daemon_update.patch: Update to current sytemd upstream
    sd_booted() to actually check for systemd init.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Apr 2013 11:42:42 -0700

dbus (1.6.8-1ubuntu7) saucy; urgency=low

  * Use logind for session tracking, so that "at_console" policies work with
    logind instead of ConsoleKit. Add "libpam-systemd" recommends.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 10 Mar 2013 13:39:46 +0100

dbus (1.6.8-1ubuntu6) raring; urgency=low

  * Tweak startup condition of user-job to block xsession-init until it's
    started. (LP: #1155205)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 25 Mar 2013 09:52:01 -0400

dbus (1.6.8-1ubuntu5) raring; urgency=low

  * debian/libdbus-1-3.postinst: Force an upgrade to restart Upstart
    (to pick up new package version) if the running instance supports
    it (LP: #1146653).

 -- James Hunt <james.hunt@ubuntu.com>  Thu, 14 Mar 2013 10:32:39 -0400

dbus (1.6.8-1ubuntu4) raring; urgency=low

  * Add upstart user session job for dbus.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 12 Mar 2013 15:04:50 -0400

dbus (1.6.8-1ubuntu3) raring; urgency=low

  * Mark libdbus-1-dev as Multi-Arch same.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 07 Jan 2013 17:36:51 +0000

dbus (1.6.8-1ubuntu2) raring; urgency=low

  * The tests are not run diring the build. Configure with --disable-tests,
    drop the build dependencies needed for the tests.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Jan 2013 17:03:23 +0100

dbus (1.6.8-1ubuntu1) raring; urgency=low

  * Resynchronize on Debian, see 1.6.4-1ubuntu1 and 1.6.4-1ubuntu3 for a 
    summary of the Ubuntu changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Nov 2012 15:31:11 +0100

dbus (1.6.8-1) unstable; urgency=low

  * Merge from experimental
  * New upstream stable release 1.6.6
    - CVE-2012-3524: avoid arbitrary code execution in setuid or otherwise
      privileged binaries that incorrectly use libdbus without first
      sanitizing the environment variables inherited from their
      less-privileged caller (Closes: #689070)
  * New upstream stable release 1.6.8
    - Revert part of 1.6.6 (do not check filesystem capabilities, only
      setuid/setgid), fixing regressions in certain configurations of
      gnome-keyring

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Sep 2012 13:25:50 +0100

dbus (1.6.4-1ubuntu4) quantal-proposed; urgency=low

  * debian/patches/CVE-2012-3524-regression-fix.patch: updated to fix test
    suite.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Oct 2012 14:41:36 -0400

dbus (1.6.4-1ubuntu3) quantal-proposed; urgency=low

  * REGRESSION FIX: some applications launched with the activation helper
    may need DBUS_STARTER_ADDRESS. (LP: #1058343)
    - debian/patches/CVE-2012-3524-regression-fix.patch: hardcode the
      starter address to the default system bus address.
  * Fix unclean shutdown after dbus upgrade (LP: #740390)
    - debian/libdbus-1-3.postinst: trigger an upstart re-exec before
      shutdown or reboot so that it can safely unmount the root
      filesystem.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Oct 2012 07:14:40 -0400

dbus (1.6.4-1ubuntu2) quantal-proposed; urgency=low

  * SECURITY UPDATE: privilege escalation via unsanitized environment
    - debian/patches/CVE-2012-3524-dbus.patch: Don't access environment
      variables or run dbus-launch when setuid in configure.ac,
      dbus/dbus-keyring.c, dbus/dbus-sysdeps*
    - CVE-2012-3524

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 14 Sep 2012 08:57:33 -0400

dbus (1.6.4-1ubuntu1) quantal-proposed; urgency=low

  * Upload to quantal (lp: #1014850)
  * debian/control:
    - use "Breaks: unity-services (<< 6.0.0-0ubuntu6)", the new dbus 
      eavedropping protection was creating issues with previous versions
    
  [ Iain Lane ]
  * Merge with Debian experimental for the new stable series. Remaining Ubuntu
    changes:
    - Install binaries into / rather than /usr:
      + debian/rules: Set --exec-prefix=/
      + debian/dbus.install, debian/dbus-x11.install: Install from /bin
    - Use upstart to start:
      + Add debian/dbus.upstart.
      + debian/control: Add upstart dependency.
      + debian/dbus.postinst: Use upstart call instead of invoking the init.d
        script for checking if we are already running. 
      + debian/control: versioned dependency on netbase that emits the new
        deconfiguring-networking event used in upstart script.
    - 20_system_conf_limit.patch: Increase max_match_rules_per_connection for
      the system bus to 5000 (LP #454093)
    - 81-session.conf-timeout.patch: Raise the service startup timeout from 25
      to 60 seconds. It may be too short on the live CD with slow machines.
    - Add 0001-activation-allow-for-more-variation-than-just-system.patch,
      0002-bus-change-systemd-activation-to-activation-systemd.patch,
      0003-upstart-add-upstart-as-a-possible-activation-type.patch,
      0004-upstart-add-UpstartJob-to-service-desktop-files.patch,
      0005-activation-implement-upstart-activation.patch: Patches from Scott
      James Remnant to implement Upstart service activation. Not upstream.
      Disable patches since they do not apply and this facility is unused
      anyway.
  * Remove systemd BDs; not appropriate for Ubuntu.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 Aug 2012 12:05:38 +0200

dbus (1.6.4-1) experimental; urgency=low

  * gbp.conf: switch to experimental branch
  * New upstream stable release
    - remove incorrect assertion and have correct default for developer mode
      (Closes: #680027, differently)

 -- Simon McVittie <smcv@debian.org>  Wed, 18 Jul 2012 18:42:52 +0100

dbus (1.6.2-2) unstable; urgency=low

  * Disable "developer mode", which was intended to be off-by-default,
    but was incorrectly on-by-default in 1.6.2, causing an incorrect
    assertion to be hit when starting fcitx before dbus-launch.
    (Closes: #680027)

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Jul 2012 19:33:42 +0100

dbus (1.6.2-1) unstable; urgency=low

  * New upstream stable release
    - dbus-launch --exit-with-session no longer monitors its stdin if
      run under X11 (Closes: #453755)
  * Remove the workaround for #453755 from dbus-Xsession

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Jun 2012 18:22:20 +0100

dbus (1.6.0-1) unstable; urgency=low

  * Merge from "experimental" (1.5.12 was accidentally uploaded to unstable)
  * New upstream stable release
  * debian/watch: only match stable (0.even.x) releases

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Jun 2012 14:23:46 +0100

dbus (1.5.12-1) unstable; urgency=low

  * Merge from unstable
  * New upstream release
    - adds new API
  * Standards-Version: 3.9.3 (no changes)
  * Remove lintian override for #629648, hopefully the ftpmasters are using
    lintian 2.5.1 by now
  * Add lintian overrides for the empty directories we (intentionally) ship
  * Don't run dh_makeshlibs on dbus-1-dbg, nothing should be linking to its
    extra-debug-enabled build of the library
  * Register D-Bus documentation in doc-base

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Mar 2012 18:36:38 +0100

dbus (1.4.20-1) unstable; urgency=low

  * New upstream release
    - fixes FTBFS with GLib 2.32 (Closes: #665665)

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Mar 2012 13:33:33 +0100

dbus (1.5.10-1) experimental; urgency=low

  * New upstream release
  * Merge from unstable
  * Build with systemd console-user-checking support
  * Use debhelper 9 (mainly for compressed, build-ID-based debug symbols),
    and dpkg's default.mk instead of hardening-includes

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Feb 2012 18:24:14 +0000

dbus (1.4.18-1) unstable; urgency=low

  * New upstream release
  * Change dbus and src:dbus from Section: devel to Section: admin
    (Closes: #659357)

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Feb 2012 17:17:43 +0000

dbus (1.5.8-1) experimental; urgency=low

  * Merge from unstable
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Sep 2011 18:32:46 +0100

dbus (1.4.16-1) unstable; urgency=low

  * New upstream release
  * Do not symlink dcop-howto.txt.gz - no longer installed (this is D-Bus,
    not DCOP)
  * Set the build-dependencies to be enough to run all tests, but don't
    run the tests yet

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Sep 2011 15:32:10 +0100

dbus (1.5.6-1) experimental; urgency=low

  * Merge from unstable
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Jul 2011 16:56:04 +0100

dbus (1.4.14-1) unstable; urgency=low

  * New upstream release
    - no longer needs workarounds to build or install the documentation
  * Remove --disable-gc-sections, unnecessary since 1.4.12

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Jul 2011 16:50:56 +0100

dbus (1.5.4-3) experimental; urgency=low

  * Merge from unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jul 2011 11:26:08 +0100

dbus (1.4.12-5) unstable; urgency=low

  * Undo the changed invocation for dbus-launch, which seems to cause
    more problems than it solves (LP: #807614, LP: #809900, probably also
    Closes: #633652)
  * Work around #453755 by just reopening stdin from /dev/null instead,
    until fd.o #39197 gets fixed

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jul 2011 10:45:56 +0100

dbus (1.4.12-4) unstable; urgency=low

  * Override missing-pre-dependency-on-multiarch-support for the -dev
    package, ftp-master doesn't have lintian 2.5.1 yet
  * Check all Description fields for correct use of dbus (package name)
    vs. D-Bus (project name), and override lintian false-positives

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Jul 2011 07:55:01 +0100

dbus (1.4.12-3) unstable; urgency=low

  * Mention CVE-2011-2200 in the changelog for 1.4.12-1 now it has a CVE ID
  * Merge some things from Ubuntu, via experimental:
    - move libraries into multiarch locations (but don't move binaries
      from /usr to /, which is not needed on Debian)
    - run dbus-uuidgen --ensure in postinst
    - call ReloadConfig with dbus-send in the postinst, since that'll work
      regardless of whether dbus was started with sysvinit or Upstart; just
      call it unconditionally, and ignore any failures we might see (in
      chroots or if dbus-daemon wasn't running)
  * and more things from experimental:
    - improve comments in postinst explaining why it behaves as it does
  * Run dbus-launch for X sessions in a way that doesn't consume characters
    from startx's stdin, or the stdin of certain display managers' init scripts
    (known to affect slim, but not xdm or gdm) (Closes: #453755)
  * Remove the .la file for the debug build, not just the normal build

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Jun 2011 17:21:03 +0100

dbus (1.5.4-2) experimental; urgency=low

  * Merge from unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Jun 2011 19:33:40 +0100

dbus (1.4.12-2) unstable; urgency=medium

  * Don't run tests during build (again), it appears they time out on most of
    of the buildds
  * Explicitly build-depend on automake 1.10, so buildds won't try and fail
    with automake1.9 like kfreebsd-i386 did

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Jun 2011 14:11:04 +0100

dbus (1.5.4-1) experimental; urgency=low

  * Merge from unstable
  * New(er) upstream version fixing local DoS (Closes: #629938)
  * Revert some of the changes merged from Ubuntu, which look as though
    they shouldn't be needed on either distribution:
    - there's no need to create/chown messagebus' home directory, the sysvinit
      script and the Upstart job both do that on-demand
  * Revert changes which are useful in Ubuntu but not Debian:
    - move everything except the library back into /usr; Debian doesn't have
      any uses for dbus-daemon in early boot, and if we do later, we'd need to
      get libexpat moved first
      - this gets the locations back into sync with what it says in the
        Xsession hook (Closes: #630011) and the init script (Closes: #629954)
  * Improve comments in postinst explaining why it behaves as it does

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Jun 2011 23:35:51 +0100

dbus (1.4.12-1) unstable; urgency=medium

  * New upstream release fixes local DoS (Closes: #629938, CVE-2011-2200)
  * Don't delete jquery.js, no longer installed by recent Doxygen
  * Build-depend on libglib2.0-dev, libdbus-glib-1-dev for better regression
    test coverage (dbus-glib is a circular dependency, but both of these
    dependencies can be dropped if bootstrapping new architectures)

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Jun 2011 22:39:14 +0100

dbus (1.5.2-2) experimental; urgency=low

  * Merge from unstable
  * Merge and adapt from Ubuntu:
    - create, chown messagebus' home directory in postinst
    - run dbus-uuidgen --ensure in postinst
    - call ReloadConfig with dbus-send in the postinst, since that'll work
      regardless of whether dbus was started with sysvinit or Upstart; just
      call it unconditionally, and ignore any failures we might see (in
      chroots or if dbus-daemon wasn't running)
    - move dbus-daemon and its helpers from /usr to /
    - move libraries into multiarch locations
  * Don't delete jquery.js, no longer installed by recent Doxygen
  * libdbus-1-dev: explicitly pre-depend on multiarch-support to work around
    debhelper and lintian disagreeing whether it's necessary

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Jun 2011 08:00:24 +0100

dbus (1.4.10-2) unstable; urgency=low

  * Disable silent rules so we can have useful buildd logs
  * Update Vcs-Git, Vcs-Browser to the form preferred by the Alioth admins
  * Disable -Wl,--gc-sections and related flags: the size decrease is
    negligible, and these options currently segfault ld on armel and mips*
    (Closes: #628834)
  * Disable the build-time tests for now, they need more upstream work before
    they'll pass in a minimal build chroot

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Jun 2011 17:08:25 +0100

dbus (1.5.2-1) experimental; urgency=low

  * Merge from unstable
  * New(er) upstream version

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Jun 2011 16:32:25 +0100

dbus (1.4.10-1) unstable; urgency=low

  * New upstream version
  * Use a separate build directory
  * Explicitly set compiler flags
  * Don't complain about not installing libdbus-1.la
  * Don't pass a version to dh_makeshlibs -V - the symbols file gives us
    exact dependencies, so the legacy shlibs mechanism is just a guard against
    old systems now, and everyone forgets to update it
  * Do a second build with tests, verbosity etc. enabled, and install it
    in /usr/lib/$DEB_HOST_MULTIARCH/dbus-1.0/debug-build in dbus-1-dbg
    (Closes: #498185)
    - increase dependencies of dbus-1-dbg to allow for this
    - run the debug build's regression tests during build, but don't make
      failures fatal yet
    - build-depend on xvfb and run the tests under xvfb-run, since one
      needs a $DISPLAY
  * Run autoconf during build, and allow parallel building
  * Don't install dcop-howto.txt - this isn't DCOP

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Jun 2011 16:18:45 +0100

dbus (1.5.0-2) experimental; urgency=low

  * Merge from unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Apr 2011 16:41:52 +0100

dbus (1.4.8-3) unstable; urgency=low

  * libdbus-1-3 Breaks versions of kdebase-workspace-bin and kde-window-manager
    that suffer from #623492, so partial upgrades don't make KDE unusable
    (Closes: #624333)
  * Policy 3.9.2 (no changes required)
  * De-duplicate short descriptions
  * Add DEP-3 metadata to 01_no-fatal-warnings.patch

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Apr 2011 16:11:18 +0100

dbus (1.4.8-2) unstable; urgency=low

  * Remove jquery.js at the right location
  * Re-upload with non-broken .changes file

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Apr 2011 09:15:04 +0100

dbus (1.5.0-1) experimental; urgency=low

  * New upstream development version (targeting experimental)
  * Remove jquery.js at the right location

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Apr 2011 18:04:56 +0100

dbus (1.4.18-1ubuntu1) precise; urgency=low

  * Merge with Debian unstable to pick up the new bug fix release. Remaining
    Ubuntu changes:
    - Install binaries into / rather than /usr:
      + debian/rules: Set --exec-prefix=/
      + debian/dbus.install, debian/dbus-x11.install: Install from /bin
    - Use upstart to start:
      + Add debian/dbus.upstart.
      + debian/control: Add upstart dependency.
      + debian/dbus.postinst: Use upstart call instead of invoking the init.d
        script for checking if we are already running. 
      + debian/control: versioned dependency on netbase that emits the new
        deconfiguring-networking event used in upstart script.
    - 20_system_conf_limit.patch: Increase max_match_rules_per_connection for
      the system bus to 5000 (LP #454093)
    - 81-session.conf-timeout.patch: Raise the service startup timeout from 25
      to 60 seconds. It may be too short on the live CD with slow machines.
    - Add 0001-activation-allow-for-more-variation-than-just-system.patch,
      0002-bus-change-systemd-activation-to-activation-systemd.patch,
      0003-upstart-add-upstart-as-a-possible-activation-type.patch,
      0004-upstart-add-UpstartJob-to-service-desktop-files.patch,
      0005-activation-implement-upstart-activation.patch: Patches from Scott
      James Remnant to implement Upstart service activation. Not upstream.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Feb 2012 09:26:02 +0100

dbus (1.4.16-1ubuntu4) precise; urgency=low

  * debian/rules, debian/dbus-1-dbg.install: Only set --exec-prefix=/ in
    the production build.  This prevents the debug version of dbus-daemon
    from overwriting the non-debug version, which crashes the dbus-python
    test suite.  This leaves the debug version in a somewhat bogus path,
    but we won't worry about that for now.  Solution given by Jason Conti.
    Also closes https://bugs.freedesktop.org/show_bug.cgi?id=43303
    (LP: #913991)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 10 Jan 2012 15:52:43 +0100

dbus (1.4.16-1ubuntu3) precise; urgency=low

  * Add a post-stop in the upstart script making sure /var/run/dbus/pid
    doesn't exist after dbus has been stopped/died. This fixes dbus
    not respawning when dying (segfault for example).

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 09 Jan 2012 15:15:50 +0100

dbus (1.4.16-1ubuntu2) precise; urgency=low

  * Add debian/patches/02_obsolete_g_thread_api.patch: Port to glib 2.31.x
    g_thread API. Bump libglib2.0-dev build dep accordingly. (LP: #911125)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jan 2012 11:08:46 +0100

dbus (1.4.16-1ubuntu1) precise; urgency=low

  * Merge with Debian testing. Remaining changes:
    - Install binaries into / rather than /usr:
      + debian/rules: Set --exec-prefix=/
      + debian/dbus.install, debian/dbus-x11.install: Install from /bin
    - Use upstart to start:
      + Add debian/dbus.upstart.
      + debian/control: Add upstart dependency.
      + debian/dbus.postinst: Use upstart call instead of invoking the init.d
        script for checking if we are already running. 
      + debian/control: versioned dependency on netbase that emits the new
        deconfiguring-networking event used in upstart script.
    - 20_system_conf_limit.patch: Increase max_match_rules_per_connection for
      the system bus to 5000 (LP #454093)
    - 81-session.conf-timeout.patch: Raise the service startup timeout from 25
      to 60 seconds. It may be too short on the live CD with slow machines.
    - Add 0001-activation-allow-for-more-variation-than-just-system.patch,
      0002-bus-change-systemd-activation-to-activation-systemd.patch,
      0003-upstart-add-upstart-as-a-possible-activation-type.patch,
      0004-upstart-add-UpstartJob-to-service-desktop-files.patch,
      0005-activation-implement-upstart-activation.patch: Patches from Scott
      James Remnant to implement Upstart service activation. Not upstream.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Oct 2011 18:10:19 +0200

dbus (1.4.8-1) unstable; urgency=low

  * New upstream version
    - Use upstream-merged support for installing HTML docs
    - Use upstream-supplied doxygen_to_devhelp.xsl (the Automake integration
      is still a bit broken, so we build it ourselves)
  * Mark dbus, dbus-x11 as Multi-Arch: foreign
  * Remove the unused copy of jquery.js that doxygen now wants to install
  * Move HTML and text documentation from /u/s/d/dbus-1-doc to /u/s/d/dbus
    (see Policy bug #107073 for discussion), leaving behind symlinks to their
    historical locations; this also results in shipping one copy of
    dbus-specification.html rather than two
  * Correctly credit Michael for his changes in the previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Apr 2011 16:22:48 +0100

dbus (1.4.6-1) unstable; urgency=low

  [ Michael Biebl ]
  * Switch from cdbs to dh.
  * Bump debhelper compatibility level to 8.
  * Remove doxygen call from debian/rules and cleaning up doc/api manually.
    The upstream build system takes care of that already.

  [ Simon McVittie ]
  * New upstream version
    - remove 00_dbus-quiesce-startup-errors.patch, no longer needed
  * Ignore changes to generated Doxygen HTML instead of deleting it in clean,
    for easier use of git-buildpackage
  * Unapply patches after building from git

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Feb 2011 20:12:59 +0000

dbus (1.4.1-2) unstable; urgency=low

  [ Simon McVittie ]
  * Move to git; add debian/gbp.conf for git-buildpackage
  * Replace 00_dbus-quiesce-startup-errors.patch with the version that was
    merged upstream

  [ Michael Biebl ]
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2011 01:52:08 +0100

dbus (1.4.1-1) experimental; urgency=low

  * New upstream release.
  * Remove pre-lenny upgrade code.
    - Drop old Breaks/Replaces from debian/control.
    - Drop debian/dbus.preinst and clean up debian/dbus.postinst.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Dec 2010 02:18:37 +0100

dbus (1.4.0-2) experimental; urgency=low

  * Install systemd unit files.

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Nov 2010 22:02:11 +0100

dbus (1.4.0-1) experimental; urgency=low

  * New upstream release.
    - Feature negotiation in the bus daemon.
    - File descriptor passing on Unix socket transports.
    - Various portability fixes, in particular to Windows platforms.
    - Support forking bus services, for compatibility.
    - New standardized PropertiesChanged signal in the properties interface.
    - Use of GCC atomic intrinsics for better processor support.
    - Ability for dbus-send to send to any bus (--address).
    - systemd hookup.
    - Fixes reentrancy issue with multi-threaded apps, which affects
      especially Qt and KDE apps. (Closes: #584522)
  * debian/control
    - Bump Standards-Version to 3.9.1. No further changes.
  * debian/rules
    - Disable installation of systemd unit files.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Sep 2010 20:43:05 +0200

dbus (1.3.2~git20100715.821f99c-1) experimental; urgency=low

  * New upstream Git snapshot (up to 821f99c).
  * Refresh patches to apply cleanly.
  * debian/libdbus-1-3.symbols
    - Update for API additions (Unix FD passing).
  * debian/rules
    - Bump shlibs to 1.3.1.

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Jul 2010 13:41:43 +0200

dbus (1.2.24-3) unstable; urgency=medium

  * Add patch from upstream to fix segfaults when reloaded on kFreeBSD
    (Closes: #589662)
  * Work around FTBFS if dh-buildinfo is installed (Closes: #590594)

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Jul 2010 19:56:43 +0100

dbus (1.2.24-2) unstable; urgency=low

  [ Simon McVittie ]
  * Merge from experimental
    - add separate debugging symbols (dbus-1-dbg)

  [ Michael Biebl ]
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
    - Remove debian/README.source.
  * debian/control
    - Bump Standards-Version to 3.9.0.
    - Use architecture wildcard linux-any for libselinux1-dev Build-Depends.
    - Use Breaks instead of Conflicts as recommended by the new policy.
    - Remove old Conflicts which is no longer relevant.
  * debian/dbus.init
    - Simplify check in start_it_up() by using the existing status action.
    - Stop restarting dependent services. It was an ugly hack anyway and if
      people want to restart dbus, they need take care of that themselves.
      (Closes: #540693, #530395)
  * debian/dbus.postinst
    - Stop restarting dbus system bus on upgrades as it breaks too many
      applications and is not supported by upstream in a sensible way.
      Instead trigger a reboot-required message using update-notifier.
      (Closes: #530000, #573386)

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Jul 2010 14:54:54 +0200

dbus (1.2.24-1+exp1) experimental; urgency=low

   * Add separate debugging symbols (Closes: #550517)

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Jun 2010 17:19:24 +0100

dbus (1.2.24-1) unstable; urgency=low

  * New upstream release.
    - Correctly get pointer data from DBusString when creating a syslog
      message. (Closes: #574697)
  * debian/dbus-Xsession
    - Use new "has_option" function from x11-common instead of grepping the
      option file, to avoid calling an external program. (Closes: #570480)
      Thanks to Martin Pitt for the patch.
  * debian/control
    - Add Breaks: x11-common (<< 1:7.5+4) to dbus-x11 to ensure we have a
      recent enough version with "has_option" support.
  * debian/dbus.init
    - Update LSB header: Remove runlevel 1 from Default-Stop and let killprocs
      do the job for us.
  * debian/rules
    - Update DEB_DH_INSTALLINIT_ARGS accordingly.
  * debian/dbus.postinst
    - Remove old stop symlinks from runlevel 1 on upgrades.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Mar 2010 02:04:20 +0100

dbus (1.2.22-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/11_kfreebsd_kqueue_build_fix.patch
    - Removed, merged upstream.
  * debian/control
    - Drop Provides: dbus-1-utils, there is no more package depending on it.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Mar 2010 01:06:13 +0100

dbus (1.2.20-2) unstable; urgency=low

  * debian/patches/11_kfreebsd_kqueue_build_fix.patch
    - Fix kqueue implementation on GNU/kFreeBSD. (Closes: #568338)
      Thanks to Cyril Brulebois for the patch.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Feb 2010 23:08:12 +0100

dbus (1.2.20-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Drop Build-Depends on docbook-utils, apparently no longer necessary.
    - Bump Standards-Version to 3.8.4.
  * debian/rules
    - Explicitly disable audit support so we don't accidentally pick up a
      libaudit shlib dependency.
    - Drop our workaround for the broken binutils and re-enable -pie on mips.
      (Closes: #533460)
    - Improve the way we create the symlink from /usr/lib/ → /lib by using
      readlink.
  * Remove patches:
    - debian/patches/02_dbus_monitor_no_sigint_handler.patch (fixed upstream)
    - debian/patches/20_kbsd_cmsgcred.patch (merged upstream)
    - debian/patches/30_rt-as-needed.patch (merged upstream)
  * debian/README.source
    - Add reference to the quilt patch management system documentation.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Feb 2010 22:49:42 +0100

dbus (1.2.16-2) unstable; urgency=low

  * Rebuild against debhelper (>= 7.2.23) that fixes a regression in
    dh_install which did not correctly strip debian/tmp. (Closes: #537125)
  * debian/patches/20_kbsd_cmsgcred.patch
    - Fix incorrect usage of cmsgcred on kFreeBSD. Thanks to Aurelien Jarno
      for the patch.
  * debian/patches/30_rt-as-needed.patch
    - Fix spurious build failures on alpha and ia64 when using -Wl,--as-needed
      by changing the link order of libdbus-convenience.la and -lrt.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Jul 2009 02:03:18 +0200

dbus (1.2.16-1) unstable; urgency=low

  * New upstream release.
  * debian/libdbus-1-3.symbols
    - Update for API additions.
  * debian/rules
    - Bump shlibs to 1.2.16.
  * Install libdbus to /lib. Upstart requires libdbus before /usr is
    mounted. Keep the development files libdbus-1*.{a,so} in /usr/lib.
  * Bump Standards-Version to 3.8.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Jul 2009 00:39:18 +0200

dbus (1.2.14-3) unstable; urgency=low

  * debian/dbus.postinst
    - Suppress output from adduser.
  * debian/dbus.postrm
    - Cleanup /var/lib/dbus on purge.
  * debian/rules
    - Compile dbus-daemon without -pie on mipsen. This is a workaround for a
      toolchain bug on mipsen (#532821) which causes dbus-daemon to segfault.
      (Closes: #528145)

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Jun 2009 21:03:57 +0200

dbus (1.2.14-2) unstable; urgency=low

  * debian/dbus.postrm
    - Add missing whitespace before ']'.

 -- Michael Biebl <biebl@debian.org>  Fri, 08 May 2009 23:30:35 +0200

dbus (1.2.14-1) unstable; urgency=low

  * New upstream release.
  * Switch patch management system to quilt.
  * Refresh and update patches.
  * Remove debian/patches/20-dbus-alpha-unaligned.patch, fixed upstream.
  * debian/control
    - Drop dependency on debianutils as we no longer require run-parts.
    - Demote dbus-x11 from Recommends to Suggests. (Closes: #479341)
  * debian/libdbus-1-3.symbols
    - Update for API additions.
  * debian/rules
    - Bump shlibs to 1.2.14.
    - Add "-Wl,--as-needed" to LDFLAGS. This way we don't pick up any spurious
      X11 dependencies. (Closes: #499650)
  * debian/dbus.postinst
    - Remove chown call for /var/run/dbus as the init script will take care of
      setting the right permissions anyway. This also ensures that we don't
      fail if /var/run is on tmpfs. (Closes: #508931)
  * Bump Standards-Version to 3.8.1. No longer ship /var/run/dbus in the
    package but let the init script create it.
  * debian/dbus.install
    - Remove /var/run/dbus directory.
  * debian/dbus.postrm
    - Remove /var/run/dbus on purge.

 -- Michael Biebl <biebl@debian.org>  Fri, 08 May 2009 14:31:33 +0200

dbus (1.2.12-1) unstable; urgency=low

  [ Simon McVittie ]
  * New upstream release
  * Merge experimental into unstable
    - Changes in packaging relative to experimental: add myself to
      Uploaders, and suggest libdbus-1-dev instead of nonexistent dbus-1-dev

  [ Michael Biebl ]
  * Drop support for /etc/dbus-1/event.d. This interface has long been
    deprecated and all affected Debian packages have been fixed for lenny.
    If your (custom) service needs to be restarted on a dbus restart, add a
    regular sysv init script and "Required-Start: dbus" to the LSB header.
  * debian/control
    - Drop ancient Conflicts/Replaces which are from pre-oldstable (sarge).
    - Bump debhelper Build-Depends to (>= 7).
  * debian/compat
    - Bump to debhelper v7 compat mode.
  * debian/copyright
    - Update AFL license to version 2.1.
    - Make it clear that dbus is released under version 2 of the GPL and refer
      to the versioned GPL-2 file in /usr/share/common-licenses.

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Feb 2009 15:07:46 +0100

dbus (1.2.8-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release
  * Fixes CVE-2008-4311 (Closes: #503532, #508032)

  [ Michael Biebl ]
  * debian/libdbus-1-3.symbols
    - Updated, new symbol has been added.
  * debian/rules
    - Bump shlibs to 1.2.4.
  * debian/control
    - Bump Standards-Version to 3.8.0. No further changes.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 07 Dec 2008 13:30:19 +0000

dbus (1.2.4-1) experimental; urgency=low

  * New upstream release
  * Remove patches that were merged upstream
    - debian/patches/15_dbus_group_parsing.patch
    - debian/patches/CVE-2008-3834.patch

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 29 Nov 2008 19:16:05 +0100

dbus (1.2.1-5) unstable; urgency=high

  [ Sjoerd Simons ]
  * debian/patches/CVE-2008-4311.patch:
    + Added, Fixes CVE-2008-4311. A mistake in the default configuration for
      the system bus (system.conf) which made the default policy for both sent
      and received messages effectively *allow*, and not deny as intended. This
      patch fixes the send side permissions (Closes: #503532, #508032)
  * Urgency high for the security fix

  [ Simon McVittie ]
  * Rename CVE-*.patch to prefix them with a sequence number so it's clear
    what order they should apply in
  * Add 51-CVE-2008-4311-but-allow-signals.patch, cherry-picked from upstream
    git commit d899734475: after fixing CVE-2008-4311, re-allow emitting
    signals
  * debian/patches/3[0-4]*.patch, cherry-picked from upstream git (see patches
    for commit IDs): add logging when permission to send a message is denied
  * debian/patches/35-syslog-h.patch: #include <syslog.h> to fix compilation
    with the logging patches applied
  * Add myself to Uploaders

 -- Simon McVittie <smcv@debian.org>  Sat, 10 Jan 2009 21:43:16 +0000

dbus (1.2.1-4) unstable; urgency=high

  * debian/patches/CVE-2008-3834.patch
    - The dbus_signature_validate function in the D-bus library allows
      attackers to cause a denial of service (application abort) via a message
      containing a malformed signature, which triggers a failed assertion
      error. (Closes: #501443)
      Fixes: CVE-2008-3834
    - Urgency high for the security fix.
  * debian/patches/20-dbus-alpha-unaligned.patch
    - Fix misaligned memory access which causes "unaligned traps" on Alpha.
      (Closes: #502408)
  * debian/dbus.init
    - Add "status" action to init script. (Closes: #470121)
  * debian/control
    - Bump Depends on lsb-base to >= 3.2-14, which provides status_of_proc().

 -- Michael Biebl <biebl@debian.org>  Sat, 25 Oct 2008 15:28:05 +0200

dbus (1.2.1-3) unstable; urgency=low

  * debian/patches/15_dbus_group_parsing.patch
    - Added. Fixes failure to parse /etc/group when it contains lines with
    more then 512 chars (Closes: #489738) (From upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 31 Jul 2008 00:04:21 +0100

dbus (1.2.1-2) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/rules: Disable the disabling of the userdb cache. No other
    distribution disables it and it is somewhat buggy (Thanks to Scott James
    Remnant for pointing out this issue)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2008 12:41:47 +0200

dbus (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules, debian/dbus.postinst
    - Minimize downtime of the system message bus (and dependent D-Bus
      services) by restarting dbus in postinst instead of stop in prerm and
      start in postinst. (Closes: #428669)
  * debian/libdbus-1-3.symbols
    - Add symbols file for improved shared library dependencies.
  * debian/shlibs.local
    - This file has been neglected for quite some time and has been
      obsoleted by the symbols file so better remove it.

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Apr 2008 16:33:42 +0200

dbus (1.1.20-1) unstable; urgency=medium

  [ Loic Minier ]
  * Forcefully remove old init script symlinks on upgrades to this version to
    properly reinstall the init script when using insserv or file-rc; thanks
    Petter Reinholdtsen; closes: #466503.

  [ Michael Biebl ]
  * New upstream release:
    + SECURITY - CVE-2008-0595:
      security policy of the type <allow send_interface="some.interface.With
      Methods"/> work as an implicit allow for messages sent without an
      interface bypassing the default deny rules and potentially allowing
      restricted methods exported on the bus to be executed by unauthorized
      users. 

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Feb 2008 09:01:00 +0100

dbus (1.1.4-1) unstable; urgency=low

  [ Loic Minier ]
  * Merge patch from Ubuntu to build a devhelp file; thanks Martin Pitt;
    closes: #454142.
    - Build-dep on xsltproc.
    - New patch, dbus-1.0.1-generate-xml-docs, enables generation of XML docs
      which serve as source for the devhelp generation.
    - Add a XSLT file from the Fedora package, debian/doxygen_to_devhelp.xsl.
    - Generate the devhelp file from the XML files thanks to the XSL file via
      xsltproc in build/dbus-1-doc::.
    - Install the devhelp index in dbus-1-doc and move the HTML documentation
      around; add a symlink from the gtk-doc dir.
  * Misc smallish whitespace cleanups.
  * Start dbus at runlevel priority 12 and stop at priority 88.  This
    eliminates the race condition of starting the X session before hal is
    running.  Migrate rc?.d symlinks from 20 to 12/88 on upgrades.  This need
    to be kept until after lenny is released.
  * Set LSB Default-Stop section to 1 and only install a shutdown script for
    runlevel 1 to only stop dbus when going down to single user mode; dbus can
    simply be killed like everything else on shutdown or reboot by sendsigs;
    drop rc0 and rc6.d symlinks on upgrades.
  * Bump up dbus-x11 conflicts/replaces to << 1.1.2 to match the transition
    version in Ubuntu and reduce the delta.
  * Cleanup trailing whitespace.
  * Drop superfluous exit 0 at the end of dbus' init script which is set -e.
  * Add ${shlibs:Depends} to libdbus-1-dev.
  * Simplify dbus.postinst.
  * Rename patch dbus-1.0.1-generate-xml-docs to
    10_dbus-1.0.1-generate-xml-docs to reflect current patch stack order.
  * Set shlibs via DEB_DH_MAKESHLIBS_ARGS_ALL instead of libdbus-1-3.shlibs
    and extract libdbus-1-3 package name from control to avoid hardcoding the
    SONAME and package name.

  [ Michael Biebl ]
  * New upstream release.
  * Deprecate the ENABLED option and remove it from /etc/default/dbus. Print a
    warning message in the init script if this option is still used.
  * debian/patches/03_uuid_nul.patch
    - Removed, merged upstream.
  * debian/patches/04_dbus_launch.patch
    - Removed, merged upstream.
  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
  * debian/dbus.init
    - Fix LSB init header. Use $remote_fs instead of $local_fs as the
      daemon requires /usr to be mounted.
      Remove S from Should-Stop. (Closes: #459473)
    - Use mountpoint to check if /proc is mounted. (Closes: #458392)
    - Decrease retry-time to 5 secs on stop. (Closes: #462182)

 -- Michael Biebl <biebl@debian.org>  Tue, 04 Dec 2007 21:31:12 +0100

dbus (1.1.2-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release.
  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
    - The Vcs-* fields are now officially supported, so remove the XS- prefix.
    - Demote dbus-x11 dependency to a Recommends. (Closes: #427932)
  * debian/dbus.install
    - Install the dbus-daemon-launch-helper binary.
    - Install the directory /usr/share/dbus-1/system-services.
  * debian/dbus.postinst
    - Install the dbus-daemon-launch-helper binary SUID root and make it
      executable for the messagebus group.
    - General cleanup. Remove superfluous addgroup and chgrp call.

  [ Sjoerd Simons ]
  * debian/dbus.init
    - Warn if /proc isn't mounted and refuse to start (Closes: #431101, #447363)
  * debian/patches/03_uuid_nul.patch
    - Added. Don't accidentally overwrite the last byte of the uuid with nul
      while autostarting. (From upstream GIT)
  * debian/patches/04_dbus_launch.patch
    - Added. Also save the session bus info in X11 on a normally launched bus.
      This ensures apps that don't have a session bus address in their
      environment can still properly connect to a DISPLAY's normal session bus.
      Making hacks to determine which dbus address belongs to a DISPLAY as
      used by some obsolete.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 23 Nov 2007 11:33:00 +0100

dbus (1.1.1-3) unstable; urgency=low

  * List arches where the build-dep on libselinux1-dev doesn't apply; thanks
    Michael Banck; closes: #430821.
  * Wrap build-deps and deps.
  * Misc cleanups, including quoting in maintainer scripts.
  * Add myself as uploader.
  * Add ${misc:Depends}.

 -- Loic Minier <lool@dooz.org>  Wed, 27 Jun 2007 16:42:08 +0200

dbus (1.1.1-2) UNRELEASED; urgency=low

  * debian/control
    - Fix small typo in the dbus-x11 package description. (Closes: #430736)

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Jun 2007 01:42:38 +0200

dbus (1.1.1-1) unstable; urgency=low

  [ Michael Biebl ]
  * debian/patches/02_dbus_monitor_no_sigint_handler.patch
    + Remove the sigint_handler in dbus-monitor so the application properly
      terminates on STRG+C. (Closes: #414139)

  [ Sjoerd Simons ]
  * New upstream release
  * debian/libdbus-1-3.shlibs: Bumped shlibs

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 19 Jun 2007 13:18:12 +0100

dbus (1.1.0-1) unstable; urgency=low

  [ Sjoerd Simons ]
  * New upstream release

  [ Tim Dijkstra ]
  * Disable userdb cache. If you need a cache, use nscd. (closes: #370569)

  [ Michael Biebl ]
  * debian/control
    + Fix small typo in the dbus-x11 package description. (Closes: #425132)
    + Replace Source-Version with binary:Version for libdbus-1-dev.
  * debian/dbus.init
    + Suppress error messages about nonexistent or unreadable files.
      (Closes: #426296)
    + Do not abort on grep errors. (Closes: #423380)
    + Do not abort if starting a dependent service fails.
  * debian/control
    + Add build dependency on autotools-dev for up-to-date config.{guess,sub}
      files.

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Jun 2007 15:39:23 +0200

dbus (1.0.2-5) unstable; urgency=low

  [ Michael Biebl ]
  * debian/dbus.init
    + Add some safety checks and support for file-rc. (Closes: #419984)
  * Drop dbus-1-utils package and move dbus-monitor into the dbus package.
    (Closes: #404981)
  * Create dbus-x11 package and move dbus-launch and the Xsession start script
    from dbus into this package. This removes the X11 dependency from the dbus
    package.
    Add a dependency on dbus-x11 to the dbus package, to not break packages
    which still depend on dbus but should be updated to depend on dbus-x11
    instead if they require a D-Bus session bus.

  [ Sjoerd Simons ]
  * debian/control: Add libselinux1-dev to build depends
  * debian/rules: Clean up some more generated files (From the ubuntu
    packaging)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 03 May 2007 13:28:19 +0200

dbus (1.0.2-4) unstable; urgency=low

  * debian/dbus.init
    + Properly quote the runlevel variable $r. (Closes: #419818)
  * debian/dbus.prerm
    + Removed empty maintainer script.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Apr 2007 19:16:13 +0200

dbus (1.0.2-3) unstable; urgency=low

  * debian/dbus.post{inst,rm}
    + Restart dbus on upgrades again. Might break some applications, but they
      should be fixed.
  * debian/dbus.init
    + Don't return an error, if start is called when there is already a bus
      running.
  * debian/dbus.init
    + Handle errors from /sbin/runlevel. Fixes dbus installation in chroots.
      (Closes: #419655)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 17 Apr 2007 17:55:14 +0200

dbus (1.0.2-2) unstable; urgency=low

  [ Sebastian Dröge ]
  * debian/control:
    + Updated to use my debian.org mail address

  [ Michael Biebl ]
  * debian/control
    + Add XS-Vcs-* fields.
    + Add myself to Uploaders.
    + Update description.
  * debian/watch
    + Added. Allows to track upstream releases.
  * debian/dbus.init
    + Add functionality to start/stop dbus dependent services based on their
      LSB header.
      Instead of installing an init script into /etc/dbus-1/event.d, services
      depending on dbus should from now on install a regular sysv init script
      and add an LSB header with "Required-Start: dbus".

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Apr 2007 00:56:54 +0200

dbus (1.0.2-1) unstable; urgency=high

  * New upstream release:
    + Urgency set to high because it fixes a local denial of service
      exploit involving removal of match rules from other apps.
      This effects all versions of D-Bus. CVE-2006-6107
      https://bugs.freedesktop.org/show_bug.cgi?id=9142
  * debian/patches/02_fix_thread_initialisation.patch:
    + Dropped, merged upstream

 -- Sebastian Dröge <slomo@ubuntu.com>  Tue, 12 Dec 2006 23:36:37 +0100

dbus (1.0.1-2) unstable; urgency=medium

  * There is no need anymore to install a custom session.conf. Also The custom
    one doesn't include the new directive to look at various standard service
    dirs.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 19 Nov 2006 22:59:17 +0100

dbus (1.0.1-1) unstable; urgency=medium

  * New bugfix release
  * Fixes bug where calling dbus_threads_init_default would assert
  * debian/patches/02_fix_thread_initialisation.patch
    + Fixes an assertion failure when using pthreads (From upstream CVS)
  * Urgency medium, fixes two assertion failures.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 19 Nov 2006 22:02:16 +0100

dbus (1.0.0-1) unstable; urgency=low

  [ Sebastian Dröge ]
  * New upstream release, 1.0.0 aka "Blue Bird"
  * debian/patches/01_no-fatal-warnings.patch:
    + Don't abort on fatal warnings now by default. This behaviour can be
      controlled by the DBUS_FATAL_WARNINGS enviroment variable.
      This will be set to upstream default again at some point so if you have
      an application that prints a DBus warning get it fixed.

  [ Sjoerd Simons ]
  * Target unstable. Since 0.94 only bugfixes and cleanups went in.
  * Also generate the machine-id on reload if it doesn't exist and reload the
    bus on upgrades. (Closes: #357247)
  * patches/40_dbus_launch_get_uuid.patch
    + Dropped, fixed upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 14 Nov 2006 15:35:00 +0100

dbus (0.95-1) experimental; urgency=low

  * New upstream release (aka 1.0 RC3)
  * debian/patches/10_dbus_uuid_in_var.patch,
    debian/patches/20_dbus_uuid_world_readable.patch,
    debian/patches/30_dbus_send_close_shared_connection.patch:
    + Dropped, merged upstream
  * debian/patches/99_rerun_automake.patch:
    + Not needed anymore because of the above

 -- Sebastian Dröge <slomo@ubuntu.com>  Sun,  5 Nov 2006 23:22:01 +0100

dbus (0.94-2) unstable; urgency=medium

  [ Sebastian Dröge ]
  * debian/patches/30_dbus_send_close_shared_connection.patch:
    + Don't close shared connection in dbus-send. (Closes: 395358, 397303)
      Patch from upstream CVS

  [ Sjoerd Simons ]
  * patches/40_dbus_launch_get_uuid.patch
    + Added. Check if get_machine_uuid() returns NULL before proceeding any
     further: we can't init the X atoms or create a session file name if there
     is no machine ID. Solves a dbus-launch crash if there is no machine id.
     (Closes: 3395938) Patch from upstream CVS
  * 2 important bugfixes, setting urgency to medium.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  6 Nov 2006 22:02:19 +0100

dbus (0.94-1) unstable; urgency=low

  [ Riccardo Setti ]
  * Fixed dbus description. (closes: #388186)
  * Improved dbus.init script. (closes: #384859)
    - Patch from David Härdeman <david@2gen.com

  [ Sjoerd Simons ]
  * New upstream release (aka 1.0 RC2)
  * debian/dbus.init: Create the machine-id on start
  * debian/patches/10_dbus_uuid_in_var.patch
    + Added. Put the generated machine-id file in /var. Next upstream version
    will also have it there
  * debian/patches/99_rerun_automake.patch
    + Added. Re-automake because of the changes in the previous patch
  * debian/rules: Use list-missing to list files missing from the package
  * debin/dbus.dirs: Add /var/lib/dbus
  * debian/dbus.install: Include dbus-uuidgen and it's manpage
  * debian/libdbus-1-3.shlibs, debian/shlibs.local: Added. New symbols were
    added in this release.
  * debian/patches/20_dbus_uuid_world_readable.patch
    + Added. Make the generated machine-id file world readable (from upstream
    CVS)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 25 Oct 2006 11:26:32 +0200

dbus (0.93-1) unstable; urgency=low

  * New upstream release
  * debian/patches/00_expand_bindir.patch
    - Removed. Fixed upstream
  * debian/control: Build-depend on libx11-dev, so dbus-launch can monitor X
    sessions.

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 16 Sep 2006 23:13:30 +0200

dbus (0.92-2) unstable; urgency=low

  * Upload to unstable
  * debian/patches/00_expand_bindir.patch
    - Added. Ensure the expanded version of $bindir is used for the
    DBUS_DAEMONDIR define. Fixes useless warning from dbus-launch (From
    upstream CVS)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  7 Sep 2006 20:30:05 +0200

dbus (0.92-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 19 Aug 2006 22:13:25 +0200

dbus (0.91-1) experimental; urgency=low

  * New upstream release
    + First packaged dbus modular release. Bindings are in seperate source
      packages now.
  * Bumped libdbus-1 soname
  * debian/control: Remove all build-depends and definitions for the bindings.
  * debian/control: Update to use the official D-Bus spelling
  * debian/rules: Remove everything that was needed to build the bindings.
  * Remove files not applicable to the D-Bus bus and core libraries:
    + debian/python-dbus.install
    + debian/monodoc-dbus-1-manual.postinst
    + debian/libdbus-qt-1-dev.install
    + debian/libdbus-qt4-1-1.install
    + libdbus-1-cil.install
    + libdbus-qt-1-1c2.install
    + libdbus-1-cil.installcligac
    + libdbus-glib-1-2.install
    + monodoc-dbus-1-manual.install
    + libdbus-qt4-1-dev.install
    + libdbus-glib-1-dev.install
  * Remove all patches not applicable to the D-Bus bus and core libraries:
    + debian/patches/dbus-update-automake.patch
    + debian/patches/dbus-monoversion.patch
    + debian/patches/dbus-no-qt4-examples.patch
    + debian/patches/dbus-mono-pkgconfig-location.patch
    + debian/patches/dbus-new-monodoc.patch

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 31 Jul 2006 14:50:05 +0200

dbus (0.62-5) unstable; urgency=low

  * Update python-dbus to the new Python Policy
  * Bump Standards-Version to 3.7.2

 -- Sebastian Dröge <slomo@ubuntu.com>  Sat,  8 Jul 2006 01:25:40 +0200

dbus (0.62-4) unstable; urgency=low

  [ Sebastian Dröge ]
  * add ${shlibs:Depends} to Depends of libdbus-glib-1-dev, as it ships
    dbus-binding-tool to /usr/bin/. This fixes a missing libexpat.so.1.0.0.
    Thanks to Daniel Holbach for noticing this.

  [  Michael Biebl ]
  * debian/libdbus-qt4-1-dev.install: qt/dbus/qdbus.h is only a dummy header
    file. Install the real one instead. (Closes: #375298)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 28 Jun 2006 19:03:23 +0200

dbus (0.62-3) unstable; urgency=low

  * Make the Qt4 bindings buid-depend on libqt4-dev (>= 4.1.3)
    (Closes: #374802)
  * Ensure /etc/dbus-1/system.d is included in the dbus package
    (Closes: #374930)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 22 Jun 2006 18:36:35 +0200

dbus (0.62-2) unstable; urgency=low

  * debian/libdbus-qt-1-dev.install: Make the wildcard more strict so that it
    doesn't accidentally pickup qt4 files
  * debian/libdbus-qt4-1-dev.install: Also install the dbuscpp2xml and
    dbusidl2cpp utilities
  * debian/session.conf
    + Install a custom dbus session.conf. In the generated one some variables
    aren't expanded, causing the session bus to fail (Closes: #374747)
  * Move libdbus-1-2 to sections libs
  * Let libdbus-1-2 recommend dbus. Almost all libdbus-1 using applications
    really need the dbus to be present so the recommends is justified.
    (Closes: #374726)
  * debian/libdbus-qt-1-dev.install: Install all the needed header files.
    Thanks to Michael Biebl for testing a KDE4 build against these bindings.

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 21 Jun 2006 10:47:00 +0200

dbus (0.62-1) unstable; urgency=low

  * New upstream release
  * Remove Daniel Stone from uploaders on his request.
  * debian/dbus.init: Remove the sleep 1 when restarting. It's not needed as
    the start-stop-daemon --retry option is used to shut dbus down
  * Removed patched that aren't needed anymore:
    + debian/patches/dbus-reload-usercache.patch
    + debian/patches/dbus-qt-buildfix.patch
    + debian/patches/dbus-qt-endianness.patch
    + debian/patches/dbus-0.60-mono-return-null-fix.diff
    + debian/patches/dbus-tcp-econreff.patch
    + debian/patches/dbus-transport-tcp.patch
    + debian/patches/dbus-pendingcall-deadlock.patch
  * debian/patches/dbus-update-automake.patch
    + Updated
  * debian/patches/dbus-no-qt4-examples.patch
    + Added. Quick hack to disable the building of the qt4 example binaries.

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 20 Jun 2006 19:35:46 +0200

dbus (0.61-6) unstable; urgency=low

  [ Sebastian Dröge ]
  * debian/patches/dbus-new-monodoc.patch:
    + Call the new monodoc executables for doc generation to really get
      docs (Closes: #361541)
  * debian/patches/dbus-update-automake.patch:
    + updated for the above change
  * Add the correct libdbus-glib-1-2 path to the dh_shlibdeps search path to
    generate correct dependencies on dbus-1-utils.
  * Update libdbus-1-cil to the new CLI policy and use dh_installcligac for
    late GAC installation
  * debian/patches/dbus-mono-pkgconfig-location.patch:
    + Adjust the location of the .dll in the pkg-config file for the new CLI
      policy.

  [ Sjoerd Simons ]
  * debian/patches/dbus-transport-tcp.patch
    + Added. Fixes crash when using the tcp transport without an host option
    (from dbus CVS) (Closes: #368894)
  * debian/patches/dbus-tcp-econreff.patch
    + Added. Make the error which is given when the tcp transport gets a
    connection refused more understandable (from dbus CVS)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 31 May 2006 15:00:49 +0200

dbus (0.61-5) unstable; urgency=low

  * debian/patches/dbus-0.60-mono-return-null-fix.diff:
    + Added again as this wasn't applied upstream. This makes dbus-sharp
      useable again as you don't get null anymore when asking for the session
      bus (see fd.o #5716)

 -- Sebastian Dröge <slomo@ubuntu.com>  Sat, 18 Mar 2006 14:40:48 +0100

dbus (0.61-4) unstable; urgency=low

  * debian/patches/dbus-reload-usercache.patch
    + Added. Reload the user info cache when reloading the config.
  * debian/patches/dbus-pendingcall-deadlock.patch
    + Added. Don't block in a poll if the data we're looking for was already
    read by another connection. (From dbus CVS)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun,  5 Mar 2006 21:27:16 +0100

dbus (0.61-3) unstable; urgency=low

  * debian/patches/dbus-monoversion.patch
    + Added. Dbus mono assembly version is synced with release version, but
    nothing actually changed. This patch changes the assembly version back to
    0.60 to minimize breakage. New version will encode the assembly version
    in the package name (e.g libdbus-1-cil-0.61).

 -- Sjoerd Simons <sjoerd@debian.org>  Wed,  1 Mar 2006 19:59:47 +0100

dbus (0.61-2) unstable; urgency=low

  * debian/patches/dbus-qt-endianness.patch
    + Added. Fix FTBS on big-endian architectures

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 28 Feb 2006 00:58:05 +0100

dbus (0.61-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/dbus-0.60-mono-arguments-fix.diff
    - Removed. Fixed upstream
  * debian/patches/dbus-0.60-mono-return-null-fix.diff
    - Removed. Fixed upstream
  * debian/patches/dbus-moc-selection.patch
    - Removed. Fixed upstream
  * debian/patches/dbus-qdbusmarshall-amd64.patch
    - Removed. Fixed upstream
  * Update cli-common depend to >= 0.2.0. Older versions have known bugs
  * Let binary-predeb/libdbus-1-cil:: depend on
    common-binary-post-install-arch, so dh_clideps can do it's work correctly.
  * debian/patches/dbus-qt-buildfix.patch
    + Added. Fix compilation of the Qt bindings (from CVS)
  * debian/patches/dbus-update-automake.patch
    + Added. Do a new autogen run, because the qt patch patches autotools
      files

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 24 Feb 2006 22:09:17 +0100

dbus (0.60-6) unstable; urgency=low

  * Sync relavant changes from ubuntu
    + dbus-0.60-mono-arguments-fix.diff
      - Added. 64bit fixes ((fd.o bugzilla #4410)
    + dbus-0.60-mono-return-null-fix.diff
      - Added. Don't return null for the session bus (fd.o bugzilla #5716)
    + Send the update-notifier reboot required notification if it's installed
    + Build mono bindings as arch indep.

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 16 Feb 2006 12:32:31 +0100

dbus (0.60-5) unstable; urgency=low

  * Fix a bashim in the postinst script (Closes: #347453)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 11 Jan 2006 20:15:02 +0100

dbus (0.60-4) unstable; urgency=low

  * Upload to unstable

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  5 Jan 2006 21:55:49 +0100

dbus (0.60-3) experimental; urgency=low

  * debian/patches/dbus-qdbusmarshall-amd64.patch
    + Fix build failure on amd64 (Closes: #343746)
  * Ignore the exit code of run-parts in the init script.

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  5 Jan 2006 12:30:26 +0100

dbus (0.60-2) experimental; urgency=low

  * Let python2.4-dbus depend on python2.4-libxml2 (Closes: #343715)
  * Changed maintainer address to
    pkg-utopia-maintainers@lists.alioth.debian.org

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 15 Dec 2005 20:01:11 +0100

dbus (0.60-1) experimental; urgency=low

  * New upstream release
  * Soname of libdbus-1 and libdbus-glib-1 were bumped to 2
  * debian/patches/dbus-reloadconfig-reply.patch
    + Removed. Merged upstream
  * debian/patches/dbus-monitor.patch
    + Removed. Merged upstream
  * debian/patches/dbus-make-libtool-safe.patch
    + Removed. Fixed upstream
  * debian/patches/dbus-moc-selection.patch
    + Added. Enable the Qt moc paths to be specified to configure
  * Depend on lsb-base >= 3.0
  * Let dbus conflicht with libdbus-1-1 and libdbus-1-2 with dbus << 0.60.
    Some bus changes could result in strange bugs when mixing the old libs
    with the new bus.

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 14 Dec 2005 19:53:07 +0100

dbus (0.50-3) experimental; urgency=low

  * Also move dbus-launch and dbus-send manpages to the dbus package
  * debian/dbus.init
    + Make force-reload an alias of reload instead of restart

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 21 Nov 2005 11:17:57 +0100

dbus (0.50-2) experimental; urgency=low

  * maintainance is actually spelled "maintenance" (Closes: #332238)
  * Disable --enable-verbose because of the big performance hit
  * Move dbus-binding-tool from dbus-1-utils to libdbus-glib-1-dev
  * Move dbus-launch and dbus-send into the dbus package (Closes: #337212)
  * Move the /etc/X11/Xsession.d/ script from dbus-1-utils to dbus
  * Add reload function to the init script
  * Use log_daemon_msg instead of log_begin_msg in the init script where
    applicable
  * debian/patches/dbus-reloadconfig-reply.patch
    + Added. Send a reply message when org.freedesktop.DBus.ReloadConfig is
      called
  * Prefix the long description of monodoc-dubs-1-manual with one space
    instead of two (Closes: #337032)
  * Add LSB formatted dependency info in the init script (Closes: #337644)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed,  9 Nov 2005 20:02:09 +0100

dbus (0.50-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  8 Sep 2005 10:01:21 +0200

dbus (0.36.2-1) experimental; urgency=low

  * New upstream release
  * Fix descriptions to refer to dbus rather than dbus-1.
  * Make dbus-1-utils depend on dbus
  * debian/patches/dbus-sessionbus-checkuid.patch
    + Removed. Fixed upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  6 Sep 2005 09:26:19 +0200

dbus (0.36.1-1) experimental; urgency=low

  * New upstream release (Closes: #319593, #324016)
  * debian/patches/dbus_cmsgcred.patch
    + Removed. Fixed upstream.
  * debian/patches/dbus-gilstate.patch
    + Removed. Fixed upstream.
  * Sync with the ubuntu package
    + Remove dbus_bindings.{a,la} from python2.4-dbus
    + debian/patches/dbus-make-libtool-safe.patch
      - Added. Replace explicit libtool calls with $(LIBTOOL) in
        glib/Makefile.*
    + Don't include the .la files in the dev packages.
    + Don't restart dbus on upgrade. Too many applications don't handle it
      correctly.
    + Switched the init script to lsb-base
    + Ship dbus-binding-tool and dbus-viewer with dbus-1-utils

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 26 Aug 2005 21:58:42 +0200

dbus (0.34-4) experimental; urgency=low

  * libdbus-1-cil improvements based on comments from Mirco Bauer
    + Call dh_clideps before dh_makeclilibs
    + libdbus-1-cil can be arch all
    + Use CLI instead of .NET in the package description
  * Add debian/patches/dbus-sessionbus-checkuid.patch:
    - bus/session.conf.in: Do not allow any user to connect to any session bus
      by default.
    - bus/policy.c: "allowed" now defaults to true if the connecting user id
      matches the session bus user id.
    - This stops other users from listening and sending to other user's
      session dbus instances.
    - References:
      CAN-2005-0201
      https://bugs.freedesktop.org/show_bug.cgi?id=2436
  * debian/patches/dbus-gilstate: Fix segfaults in python bindings.
    Patch by Anthony Baxter.
  * Add D-BUS monodoc documentation package
  * C++ transition

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 11 Jul 2005 10:22:44 +0200

dbus (0.34-3) experimental; urgency=low

  * Build-depend on python-pyrex instead of python2.3-pyrex
  * debian/dbus.postinst
   + Forgot to rename dbus-1 to dbus in the previous package.
  * Rename libdbus-cil to libdbus-1-cil

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 22 Jun 2005 18:53:22 +0200

dbus (0.34-2) experimental; urgency=low

  * debian/dbus.init
    + The even.d dir is in /etc/dbus-1 not in /etc/dbus

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 21 Jun 2005 16:16:43 +0200

dbus (0.34-1) experimental; urgency=low

  * New upstream release
  * Build libdbus-cil on amd64 too (Closes: #314247)
  * Python bindings need python2.4, so build them against python2.4.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 20 Jun 2005 13:07:04 +0200

dbus (0.33-1) experimental; urgency=low

  * New upstream release (Closes: #299049)
  * Redone the package names to be much more sane.
    - Based on ubuntu's dbus 0.33 package by Daniel Stone.
    - dbus deamon goes into the dbus package instead of dbus-1
    - glib bindings in libdbus-glib-1-1 instead of dbus-glib-1
    - qt bindings in libdbus-qt-1-1 instead of dbus-qt-1
    - Library component from dbus-1 goed into libdbus-1-1
  * debian/patches/dbus-fixverbose.patch
    - Removed. Fixed upstream
  * debian/patches/dbus-getpwname.patch
    - Removed. Fixed upstream
  * debian/patches/fix-policy-group.patch
    - Removed. Not relevant anymore

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 20 Jun 2005 11:12:12 +0200

dbus (0.23.4-2) unstable; urgency=low

  * Upload version with QT and Mono bindings to unstable. (Closes: #271895)
    (Closes: #271896) (Closes: #260044) (Closes: #290622)
  * debian/patches/dbus_cmsgcred.patch
    - Added. Fix syntax error on systems where HAVE_CMSGCRED is defined
      (Thanks to Michael Banck) (Closes: #311726)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  6 Jun 2005 22:48:08 +0200

dbus (0.23.4-1bindings0) experimental; urgency=low

  * Enable Mono and QT bindings.

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  5 Apr 2005 22:15:29 +0200

dbus (0.23.4-1) unstable; urgency=low

  * New upstream release
  * debian/patches/dbus-abi-api.patch
    - Removed, fixed upstream
  * debian/patches/dbus-python-fix.patch
    - Removed, fixed upstream
  * debian/patches/fix-policy-group.patch
    - Stop segfaulting at "<policy group="..."> tags (Closes: #297495)
  * debian/patches/dbus-fixverbose.patch
    - Fix inaccurate messages in the debug output of the uid/gid lookup code
    (Thanks to  Tom Parker) (Closes: #297497)
  * debian/patches/dbus-getpwname.patch
  * Add .la files in the -dev packages (Closes: #297936)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 30 Mar 2005 23:02:00 +0200

dbus (0.23.2-3) unstable; urgency=low

  * debian/patches/dbus-abi-api.patch
    - Fix dbus api and abi breakage between 0.23.1 and 0.23.2 (Closes: #297020)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 28 Feb 2005 15:05:19 +0100

dbus (0.23.2-2) unstable; urgency=low

  * debian/patches/dbus-python-fix.patch
    - Fix python bindings (Based on dbus CVS fix)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 24 Feb 2005 11:19:03 +0100

dbus (0.23.2-1bindings0) experimental; urgency=low
  * debian/patches/dbus-monofixes.patch
    + Removed. Fixed in this release

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 17 Feb 2005 13:24:22 +0100

dbus (0.23.2-1) unstable; urgency=low
  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 23 Feb 2005 13:04:21 +0100

dbus (0.23.1-1bindings0) experimental; urgency=low

  * New upstream release
  * debian/patches/dbus-monofixes.patch
    + Added. Some mono fixes from dbus cvs

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 17 Feb 2005 13:24:22 +0100

dbus (0.23-1mono1) experimental; urgency=low

  * Enable the qt bindings. Thanks to Kevin Ottens
    (Closes: #271895) (Closes: #271896) (Closes: #290622)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 22 Jan 2005 13:53:27 +0100

dbus (0.23-1mono0) experimental; urgency=low

  * Enable the mono bindings

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 14 Jan 2005 17:54:26 +0100

dbus (0.23-1) unstable; urgency=low

  * New upstream release
  * Disable the mono bindings for the unstable packages untill mono goes into
    testing.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 14 Jan 2005 15:22:20 +0100

dbus (0.22+cvs.20050104-1) experimental; urgency=low

  * CVS snapshot
  * Package the dbus mono bindings for i386, powerpc and s390. Mostly based on
    patches from Edd Dumbill. (Closes: #260044)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed,  5 Jan 2005 18:20:47 +0100

dbus (0.22-4) unstable; urgency=low

  * Let the initscript check if the pid in the pidfile actually corresponds
    to a dbus daemon process (Closes: #285758)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed,  5 Jan 2005 16:55:45 +0100

dbus (0.22-3) unstable; urgency=medium

  * Actually ship the init script improvements mentioned in the previous
    upload. (please pass the brown paper bag)
  * Call run-parts --reverse on the event.d dir when stopping dbus
    (Closes: #269283)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat,  6 Nov 2004 16:17:40 +0100

dbus (0.22-2) unstable; urgency=medium

  * debian/patches/dbus-monitor.patch
    + Updated. Unbreak dbus-monitor when arguments are given. (From the ubuntu
      dbus package)
  * Use run-parts --arg instead of -a, which works with woody's run-parts
    (Closes: #269708) (Closes: #274702)
  * Use start-stop-daemon --retry when stopping to ensure the system bus
    stopped. Prevents race conditions with the dbus pidfile (Closes: #277148)
  * Add myself to Uploaders
  * Acknowledge my own NMU (Closes: #272862)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 02 Nov 2004 12:19:47 +0100

dbus (0.22-1.1) unstable; urgency=high

  * Non-maintainer upload with maintainers permission
  * debian/patches/dbus-python-64bit.patch
    + Added. Taken from dbus cvs. Add support for int64 and uint64 to the
    python bindings (Closes: #272862)
  * Urgency high because the hal package depending on this fix fixes RC bugs.

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 25 Sep 2004 17:45:33 +0200

dbus (0.22-1) unstable; urgency=high

  * New upstream release.
    + Urgency high so it slips into sarge before the freeze.

 -- Daniel Stone <daniels@debian.org>  Tue, 17 Aug 2004 00:42:56 +0100

dbus (0.21-7) unstable; urgency=low

  * Created /etc/dbus-1/event.d/ and added support to dbus' init script
    to run the files in it on stop/start/restart

 -- Daniel Silverstone <dsilvers@debian.org>  Thu, 22 Jul 2004 14:13:44 +0100

dbus (0.21-6) unstable; urgency=low

  * Add a chown,chgrp to the init script to make sure the pid dir is owned
    by the messagebus user.
  * Modify the dbus-1 init script to remove some arguments from the invocation
    of start-stop-daemon so that it will work when being asked to stop a
    dbus instance which has a different executable to that installed.

 -- Daniel Silverstone <dsilvers@debian.org>  Mon, 12 Jul 2004 21:56:45 +0100

dbus (0.21-5) unstable; urgency=low

  * Change debian/control to indicate that dbus is group maintained.
  * Build-depend on the version of python2.3-pyrex which theoretically has
    the fixed patch for coping with unsigned long int vs. long unsigned int
  * Removed the seddery introduced in 0.21-2 because the above build-depend
    change should ensure we're safe.

 -- Daniel Silverstone <dsilvers@debian.org>  Mon,  5 Jul 2004 17:44:06 +0100

dbus (0.21-4) unstable; urgency=low

  * Updated debian/copyright to the AFL 2.0 closes: #239332
  * Updated debian/dbus-1.init to create /var/run/dbus if it
    doesn't already exist. closes: #242639

 -- Daniel Silverstone <dsilvers@debian.org>  Fri, 18 Jun 2004 00:20:27 +0100

dbus (0.21-3) unstable; urgency=low

  * Add the sed call to Makefile.in too. Damn my forgetfulness.

 -- Daniel Silverstone <dsilvers@debian.org>  Wed, 16 Jun 2004 18:06:28 +0100

dbus (0.21-2) unstable; urgency=low

  * Add a sed -e's/long unsigned/unsigned long/g' to the python bindings
    preparation line. This *should* solve the FTBFS on alpha, s390 and ia64
  * Also, fix an a-umlaut to 'ae' in the changelog to prevent nasty
    debian-changelog-file-uses-obsolete-national-charset errors from lintian

 -- Daniel Silverstone <dsilvers@debian.org>  Tue, 15 Jun 2004 19:26:12 +0100

dbus (0.21-1) unstable; urgency=low

  * New upstream version.
    + Fixes varargs crap - cleaner patch from David Zeuthen applied. (closes:
      #229274)
  * Added provides/replaces/conflicts on dbus-1-utils << 0.20-4, per -4's
    moving of manpages.

 -- Daniel Stone <daniels@debian.org>  Sun, 21 Mar 2004 02:42:53 +1100

dbus (0.20-6) unstable; urgency=low

  * Add a touch of usage information to the top of the dbus Xsession.d file.
    Also since we've had confirmation that this file does enough, this version
    closes: #230835
  * Add an extra rm -f $PIDFILE to /etc/init.d/dbus-1 to help on restart.
    closes: #229609
  * Temporarily quiesce error reports in system.d/*.conf files when loading.
    This breaks the standard that the daemon shouldn't start with malformed
    configuration files, but at least for now it seems sensible to do.
    closes: #230231
    NOTE: this is likely to be removed in a future version of dbus after the
    configuration file syntax stabilises. Please report bugs against packages
    which have configs which fail to parse with the latest dbus package.

 -- Daniel Silverstone <dsilvers@debian.org>  Tue, 10 Feb 2004 00:46:52 +0000

dbus (0.20-5) unstable; urgency=low

  * Add an /etc/X11/Xsession.d/ entry to launch a session bus.
    You will need to add 'use-session-dbus' to your /etc/X11/Xsession.options
    file to enable it.

 -- Daniel Silverstone <dsilvers@debian.org>  Tue,  3 Feb 2004 18:15:48 +0000

dbus (0.20-4) unstable; urgency=low

  * Ensure the manpages are installed into the right package.
  * Add /usr/lib/dbus-1.0/services to the dbus-1 package. (closes: #230413)
  * dbus-glib-1-dev now depends on libglib2.0-dev which is kinda needed in order
    to get glib-object.h
  * Removed the dbus-qt-1 and dbus-qt-1-dev packages until upstream actually
    do something with the binding (like putting some code into it)

 -- Daniel Silverstone <dsilvers@debian.org>  Sun,  1 Feb 2004 22:22:59 +0000

dbus (0.20-3) unstable; urgency=high

  * Urgency high because the old package was virtually useless.
  * debian/patches/fix-varargs-usage.diff:
    + Merged patch from Michel Daenzer (thanks Michel!) to fix varargs usage,
      so we don't segfault on --system anymore. (closes: #229274, #229005,
      #229609)

 -- Daniel Stone <daniels@debian.org>  Wed, 28 Jan 2004 06:51:07 +1100

dbus (0.20-2) unstable; urgency=low

  * The "gotta keep the ftpmaster cab^Whappy release".
    + Hey, I need the overrides ...
  * debian/python2.3-dbus.install:
    + Stop installing .a and .la files (thanks Daniel Silverstone).
  * debian/dbus-qt-1-dev.install:
    + Install the .la file ... yep, Daniel Silverstone
  * debian/patches/dbus-monitor.patch:
    + Patch from Daniel Silverstone to add suport for filters to dbus-monitor:
      only watch for certain events.
  * debian/rules:
    + Add --enable-verbose-mode to make debugging far more easier.
      - Daniel Silverstone strikes again!

 -- Daniel Stone <daniels@debian.org>  Wed, 21 Jan 2004 11:07:37 +1100

dbus (0.20-1) unstable; urgency=low

  * New upstream release (closes: #223400).
    + This version includes Qt and Python support.
      - New packages: dbus-1-qt, python2.3-dbus.
  * debian/dbus-1.postinst:
    + Call addgroup with --system so it doesn't get a userspace GID.
      (closes: #222563)
  * debian/control, debian/rules:
    + Start building Qt and Python bindings.
  * debian/patches/dbus-python-signals-dze.patch:
    + Merged patch (already applied in HEAD) to enhance signal support in the
      Python interface; available from
      http://freedesktop.org/~david/dbus-python-signals-dze.patch.

 -- Daniel Stone <daniels@debian.org>  Sat,  6 Dec 2003 00:17:50 +1100

dbus (0.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Update Maintainer address to debian.org.
    + Add Recommends: dbus-glib-1 to dbus-1-utils, for the dbus-monitor
      program. (closes: #213914)

 -- Daniel Stone <daniels@debian.org>  Wed, 22 Oct 2003 13:54:53 +1000

dbus (0.12-4) unstable; urgency=low

  * debian/control:
    + Taking over from Colin as maintainer.
    + Bump debhelper Build-Dep to >=4.1.46, when dh_installlogcheck was first
      introduced.
    + Bump Standards-Version to 3.6.1.
    + Add Replaces/Provides/Conflicts on earlier dbus-1 versions to
      dbus-1-utils.
  * debian/dbus-1.init:
    + Clean up after the daemon's pidfile mess, ensuring smooth upgrades.
      (closes: #209143)

 -- Daniel Stone <daniel@fooishbar.org>  Mon, 22 Sep 2003 12:13:06 +1000

dbus (0.12-3) unstable; urgency=low

  * debian/control:
    - Break out utilities into separate dbus-1-utils package.

 -- Colin Walters <walters@debian.org>  Sat, 30 Aug 2003 20:07:28 -0400

dbus (0.12-2) unstable; urgency=low

  * debian/control:
    - [dbus-1] Add Depends on adduser (Closes: #204871)

 -- Colin Walters <walters@debian.org>  Sun, 10 Aug 2003 22:23:36 -0400

dbus (0.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.6.0, no changes required.

 -- Colin Walters <walters@debian.org>  Wed,  6 Aug 2003 01:50:13 -0400

dbus (0.11+cvs200307017-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - Creates services directory (Closes: #198433)

 -- Colin Walters <walters@debian.org>  Thu, 17 Jul 2003 19:05:37 -0400

dbus (0.11+cvs20030528-2) unstable; urgency=low

  * debian/rules:
    - Include utils.mk.

 -- Colin Walters <walters@debian.org>  Thu, 29 May 2003 02:14:29 -0400

dbus (0.11+cvs20030528-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * debian/control:
    - Build-Depend on latest cdbs to get some minor fixes.

 -- Colin Walters <walters@debian.org>  Wed, 28 May 2003 16:56:29 -0400

dbus (0.11-2) unstable; urgency=low

  * debian/control:
    - Add Build-Depends on cdbs, just because it's so freaking sweet.
  * debian/rules:
    - Convert to CDBS.
  * debian/rocks:
    - Removed.

 -- Colin Walters <walters@debian.org>  Mon, 19 May 2003 19:21:33 -0400

dbus (0.11-1) unstable; urgency=low

  * The "Bill Gates Grants Self 18 Dexterity, 20 Charisma" release.
  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.5.10, no changes required.
  * debian/rocks:
    - No need to create system.d anymore, upstream does it now.

 -- Colin Walters <walters@debian.org>  Thu, 15 May 2003 22:01:23 -0400

dbus (0.10+cvs20030503-2) unstable; urgency=low

  * The "I've Got To Stop Taking Lives So Seriously" release.
  * debian/control:
    - Add Build-Depends on docbook-utils.

 -- Colin Walters <walters@debian.org>  Sat,  3 May 2003 16:58:20 -0400

dbus (0.10+cvs20030503-1) unstable; urgency=low

  * The "Chimp Study On Human-Evasion Response To Feces-Hurling Nearly
    Complete" release.
  * New upstream snapshot.
    - Includes some of my patches; this will among other things make
      the system bus go again.
  * debian/rocks:
    - Add --enable-docs to DEB_CONFIGURE_EXTRA_FLAGS.
  * debian/dbus-1-dev.install:
    - Update to handle new upstream .pc name.
  * debian/rules:
    - Update to latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Sat,  3 May 2003 03:58:53 -0400

dbus (0.10-1) unstable; urgency=low

  * The "West-Wing Tech-Support' Crew Be A Buncha Wack Bitches" release.
  * New upstream release.
  * debian/dbus-1.install:
    - Install all binaries.
  * debian/dbus-1-dev.install:
    - Install headers from /usr/lib/dbus-1.0 too.
  * debian/rocks:
    - Create etc/dbus-1/system.d.

 -- Colin Walters <walters@debian.org>  Mon, 28 Apr 2003 17:29:50 -0400

dbus (0.9-2) unstable; urgency=low

  * The "New Fox Reality Show To Determine Ruler Of Iraq" release.
  * debian/rocks:
    - Generate API docs via doxygen (Closes: #185470)
  * debian/control:
    - Build-Depend on doxygen.
  * debian/dbus-1-doc.install:
    - Install docs in correct place.
    - Install newly generated doxygen docs.
  * debian/rules:
    - Update to latest version of Colin's Build System.
    - Eagerly await ftpmaster installing build-common.

 -- Colin Walters <walters@debian.org>  Wed, 23 Apr 2003 23:40:00 -0400

dbus (0.9-1) unstable; urgency=low

  * The "Starbucks To Begin Sinister 'Phase Two' Of Operation" release.
  * New upstream release.
  * debian/control:
    - Drop "lib*" prefix from all packages, and change suffix from "0" to "-1".
      D-BUS isn't technically just a shared library; it also includes a
      daemon.  This could really go either way; I could just put the daemon
      in the libdbus0 package and be done with it, but I think that's more
      confusing in the end, since people have been very conditioned to
      expect libfoo -> just shared library.
    - Add Conflicts: and Replaces: on older lib* packages.
    - Remove Provides and Conflicts on libdbus-dev in new dbus-1-dev
      package, since they are actually parallel installable.
    - Ditto for libdbus-glib0-dev.
    - Touch up descriptions.
    - Update to Standards-Version: 3.5.9; no changes required.
    - Add libexpat-dev to Build-Depends.
  * debian/dbus0.init:
    - New file; runs the D-BUS daemon.
  * debian/dbus0.default:
    - New file.
  * debian/dbus0.postinst:
    - New file; creates the messagebus user and stuff.
  * debian/dbus0.install:
    - Install configuration files.
  * debian/rocks:
    - Add --with-xml=expat.
    - Update to correspond with changes to debian/control.
    - Make dbus-glib-1 package be built after dbus-1 package.
    - Add debian/dbus-1/usr/lib to DEB_SHLIBDEPS_INCLUDE_dbus-glib-1 so we
      pick up the right shlibs.
  * debian/rules:
    - Update to latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Sun, 13 Apr 2003 23:40:29 -0400

dbus (0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - [libdbus0] Flesh out description somewhat.

 -- Colin Walters <walters@debian.org>  Tue, 18 Mar 2003 10:50:42 -0500

dbus (0.5-2) unstable; urgency=low

  * debian/libdbus0-dev.install:
    - Don't include dbus-glib-1.0.pc.
    - Don't include dbus-glib-1.a or .so.

 -- Colin Walters <walters@debian.org>  Thu,  6 Mar 2003 23:17:53 -0500

dbus (0.5-1) unstable; urgency=low

  * Initial version (Closes: #183739)

 -- Colin Walters <walters@debian.org>  Thu,  6 Mar 2003 17:58:06 -0500
